lists.osmocom.org
Sign In
Sign Up
Sign In
Sign Up
Manage this list
×
Keyboard Shortcuts
Thread View
j
: Next unread message
k
: Previous unread message
j a
: Jump to all threads
j l
: Jump to MailingList overview
2026
June
May
April
March
February
January
2025
December
November
October
September
August
July
June
May
April
March
February
January
2024
December
November
October
September
August
July
June
May
April
March
February
January
2023
December
November
October
September
August
July
June
May
April
March
February
January
2022
December
November
October
September
August
July
June
May
April
March
February
January
2021
December
November
October
September
August
July
June
May
April
March
February
January
2020
December
November
October
September
August
July
June
May
April
March
February
January
2019
December
November
October
September
August
July
June
May
April
March
List overview
Download
jenkins-notifications
May 2026
----- 2026 -----
June 2026
May 2026
April 2026
March 2026
February 2026
January 2026
----- 2025 -----
December 2025
November 2025
October 2025
September 2025
August 2025
July 2025
June 2025
May 2025
April 2025
March 2025
February 2025
January 2025
----- 2024 -----
December 2024
November 2024
October 2024
September 2024
August 2024
July 2024
June 2024
May 2024
April 2024
March 2024
February 2024
January 2024
----- 2023 -----
December 2023
November 2023
October 2023
September 2023
August 2023
July 2023
June 2023
May 2023
April 2023
March 2023
February 2023
January 2023
----- 2022 -----
December 2022
November 2022
October 2022
September 2022
August 2022
July 2022
June 2022
May 2022
April 2022
March 2022
February 2022
January 2022
----- 2021 -----
December 2021
November 2021
October 2021
September 2021
August 2021
July 2021
June 2021
May 2021
April 2021
March 2021
February 2021
January 2021
----- 2020 -----
December 2020
November 2020
October 2020
September 2020
August 2020
July 2020
June 2020
May 2020
April 2020
March 2020
February 2020
January 2020
----- 2019 -----
December 2019
November 2019
October 2019
September 2019
August 2019
July 2019
June 2019
May 2019
April 2019
March 2019
jenkins-notifications@lists.osmocom.org
1 participants
55 discussions
Start a n
N
ew thread
Build failed in Jenkins: ttcn3-bts-test-io_uring #745
by jenkins@lists.osmocom.org
27 May '26
27 May '26
See <
https://jenkins.osmocom.org/jenkins/job/ttcn3-bts-test-io_uring/745/display…
> Changes: ------------------------------------------ [...truncated 12.50 MiB...] <testcase classname='BTS_Tests:hopping' name='TC_rll_unit_data_req_DCCH' time='2.089879'/> <testcase classname='BTS_Tests:hopping' name='TC_rll_unit_data_req_ACCH' time='5.265729'/> <testcase classname='BTS_Tests:hopping' name='TC_rll_unit_data_ind_DCCH' time='2.877856'/> <testcase classname='BTS_Tests:hopping' name='TC_rll_unit_data_ind_ACCH' time='10.541268'/> <testcase classname='BTS_Tests:hopping' name='TC_chan_act_a51' time='2.594922'/> <testcase classname='BTS_Tests:hopping' name='TC_chan_act_a52' time='2.688846'/> <testcase classname='BTS_Tests:hopping' name='TC_chan_act_a53' time='2.674533'/> <testcase classname='BTS_Tests:hopping' name='TC_chan_act_a54' time='2.670753'/> <testcase classname='BTS_Tests:hopping' name='TC_encr_cmd_a51' time='5.191848'/> <testcase classname='BTS_Tests:hopping' name='TC_encr_cmd_a52' time='5.203101'/> <testcase classname='BTS_Tests:hopping' name='TC_encr_cmd_a53' time='5.168286'/> <testcase classname='BTS_Tests:hopping' name='TC_encr_cmd_a54' time='5.176322'/> <testcase classname='BTS_Tests:hopping' name='TC_err_rep_wrong_mdisc' time='1.181604'/> <testcase classname='BTS_Tests:hopping' name='TC_err_rep_wrong_msg_type' time='1.228234'/> <testcase classname='BTS_Tests:hopping' name='TC_err_rep_wrong_sequence' time='1.232950'/> <testcase classname='BTS_Tests:hopping' name='TC_lapdm_selftest' time='0.006930'/> <testcase classname='BTS_Tests:hopping' name='TC_tch_sign_l2_fill_frame' time='18.550040'/> <testcase classname='BTS_Tests:hopping' name='TC_tch_sign_l2_fill_frame_dtxd' time='2.086227'> <failure type='fail-verdict'>Received DTX TCH fill frame with bad frame number: 175 (mod 104: 71) (mod 26: 19) BTS_Tests.ttcn:9573 BTS_Tests control part BTS_Tests.ttcn:8104 TC_tch_sign_l2_fill_frame_dtxd testcase </failure> </testcase> <testcase classname='BTS_Tests:hopping' name='TC_chopped_ipa_ping' time='24.677283'/> <testcase classname='BTS_Tests:hopping' name='TC_chopped_ipa_payload' time='42.563754'/> <testcase classname='BTS_Tests:hopping' name='TC_ms_pwr_ctrl_constant' time='16.880101'/> <testcase classname='BTS_Tests:hopping' name='TC_ms_pwr_ctrl_pf_ewma' time='31.942623'/> <testcase classname='BTS_Tests:hopping' name='TC_speech_no_rtp_tchf' time='7.366202'/> <testcase classname='BTS_Tests:hopping' name='TC_speech_no_rtp_tchh' time='5.368431'/> <testcase classname='BTS_Tests:hopping' name='TC_speech_rtp_tchf' time='7.523359'/> <testcase classname='BTS_Tests:hopping' name='TC_speech_rtp_tchh' time='5.464446'/> <testcase classname='BTS_Tests:hopping' name='TC_speech_osmux_tchf' time='3.351747'/> <testcase classname='BTS_Tests:hopping' name='TC_speech_osmux_tchh' time='3.451640'/> <testcase classname='BTS_Tests:hopping' name='TC_data_rtp_tchf144' time='2.047033'/> <testcase classname='BTS_Tests:hopping' name='TC_data_rtp_tchf96' time='2.062163'/> <testcase classname='BTS_Tests:hopping' name='TC_data_rtp_tchf48' time='2.114093'/> <testcase classname='BTS_Tests:hopping' name='TC_data_rtp_tchh48' time='5.298173'> <failure type='fail-verdict'>Timeout waiting for matching Downlink data frame BTS_Tests.ttcn:9591 BTS_Tests control part BTS_Tests.ttcn:8874 TC_data_rtp_tchh48 testcase </failure> </testcase> <testcase classname='BTS_Tests:hopping' name='TC_data_rtp_tchf24' time='1.602040'/> <testcase classname='BTS_Tests:hopping' name='TC_data_rtp_tchh24' time='5.254131'> <failure type='fail-verdict'>Timeout waiting for matching Downlink data frame BTS_Tests.ttcn:9593 BTS_Tests control part BTS_Tests.ttcn:8943 TC_data_rtp_tchh24 testcase </failure> </testcase> <testcase classname='BTS_Tests:hopping' name='TC_data_facch_tchf144' time='1.565850'/> <testcase classname='BTS_Tests:hopping' name='TC_data_facch_tchf96' time='2.035304'/> <testcase classname='BTS_Tests:hopping' name='TC_data_facch_tchf48' time='1.931529'/> <testcase classname='BTS_Tests:hopping' name='TC_data_facch_tchh48' time='2.228749'/> <testcase classname='BTS_Tests:hopping' name='TC_data_facch_tchf24' time='1.962251'/> <testcase classname='BTS_Tests:hopping' name='TC_data_facch_tchh24' time='2.076977'/> <testcase classname='BTS_Tests:hopping' name='TC_early_immediate_assignment' time='3.481894'/> <testcase classname='BTS_Tests:hopping' name='TC_acch_overpower_rxqual_thresh' time='9.039761'> <failure type='fail-verdict'>Timeout waiting for L1CTL DATA.ind BTS_Tests.ttcn:9604 BTS_Tests control part BTS_Tests.ttcn:9238 TC_acch_overpower_rxqual_thresh testcase </failure> </testcase> <testcase classname='BTS_Tests:hopping' name='TC_acch_overpower_rxqual_thresh_dtx' time='8.847565'> <failure type='fail-verdict'>Timeout waiting for L1CTL DATA.ind BTS_Tests.ttcn:9605 BTS_Tests control part BTS_Tests.ttcn:9279 TC_acch_overpower_rxqual_thresh_dtx testcase </failure> </testcase> <testcase classname='BTS_Tests:hopping' name='TC_acch_overpower_always_on_facch' time='8.876009'> <failure type='fail-verdict'>Timeout waiting for L1CTL DATA.ind BTS_Tests.ttcn:9606 BTS_Tests control part BTS_Tests.ttcn:9311 TC_acch_overpower_always_on_facch testcase </failure> </testcase> <testcase classname='BTS_Tests:hopping' name='TC_acch_overpower_always_on_sacch' time='8.939156'> <failure type='fail-verdict'>Timeout waiting for L1CTL DATA.ind BTS_Tests.ttcn:9607 BTS_Tests control part BTS_Tests.ttcn:9343 TC_acch_overpower_always_on_sacch testcase </failure> </testcase> <testcase classname='BTS_Tests:hopping' name='TC_acch_overpower_limit' time='8.992794'> <failure type='fail-verdict'>Timeout waiting for L1CTL DATA.ind BTS_Tests.ttcn:9608 BTS_Tests control part BTS_Tests.ttcn:9374 TC_acch_overpower_limit testcase </failure> </testcase> <testcase classname='BTS_Tests_SMSCB:hopping' name='TC_cbch_load_idle_no_cbch' time='11.079922'/> <testcase classname='BTS_Tests_SMSCB:hopping' name='TC_sms_cb_cmd_sdcch4_1block' time='13.510504'/> <testcase classname='BTS_Tests_SMSCB:hopping' name='TC_sms_cb_cmd_sdcch4_2block' time='13.445859'/> <testcase classname='BTS_Tests_SMSCB:hopping' name='TC_sms_cb_cmd_sdcch4_3block' time='14.136630'/> <testcase classname='BTS_Tests_SMSCB:hopping' name='TC_sms_cb_cmd_sdcch4_4block' time='13.888464'/> <testcase classname='BTS_Tests_SMSCB:hopping' name='TC_sms_cb_cmd_sdcch4_multi' time='20.083498'/> <testcase classname='BTS_Tests_SMSCB:hopping' name='TC_sms_cb_cmd_sdcch4_schedule' time='13.980347'/> <testcase classname='BTS_Tests_SMSCB:hopping' name='TC_sms_cb_cmd_sdcch4_default_only' time='15.957507'/> <testcase classname='BTS_Tests_SMSCB:hopping' name='TC_sms_cb_cmd_sdcch4_default_and_normal' time='16.920238'/> <testcase classname='BTS_Tests_SMSCB:hopping' name='TC_sms_cb_cmd_sdcch4_default_then_null' time='26.391158'/> <testcase classname='BTS_Tests_SMSCB:hopping' name='TC_cbc_sdcch4_load_idle' time='16.019718'/> <testcase classname='BTS_Tests_SMSCB:hopping' name='TC_cbc_sdcch4_load_overload' time='18.985631'/> <testcase classname='BTS_Tests_SMSCB:hopping' name='TC_sms_cb_cmd_sdcch8_1block' time='14.105970'/> <testcase classname='BTS_Tests_SMSCB:hopping' name='TC_sms_cb_cmd_sdcch8_2block' time='14.197842'/> <testcase classname='BTS_Tests_SMSCB:hopping' name='TC_sms_cb_cmd_sdcch8_3block' time='14.198751'/> <testcase classname='BTS_Tests_SMSCB:hopping' name='TC_sms_cb_cmd_sdcch8_4block' time='14.313018'/> <testcase classname='BTS_Tests_SMSCB:hopping' name='TC_sms_cb_cmd_sdcch8_multi' time='20.072541'/> <testcase classname='BTS_Tests_SMSCB:hopping' name='TC_sms_cb_cmd_sdcch8_schedule' time='13.901140'/> <testcase classname='BTS_Tests_SMSCB:hopping' name='TC_sms_cb_cmd_sdcch8_default_only' time='15.950157'/> <testcase classname='BTS_Tests_SMSCB:hopping' name='TC_sms_cb_cmd_sdcch8_default_and_normal' time='17.120405'/> <testcase classname='BTS_Tests_SMSCB:hopping' name='TC_cbc_sdcch8_load_idle' time='15.869643'/> <testcase classname='BTS_Tests_SMSCB:hopping' name='TC_cbc_sdcch8_load_overload' time='17.742713'/> <testcase classname='BTS_Tests_SMSCB:hopping' name='TC_etws_p1ro' time='11.898164'/> <testcase classname='BTS_Tests_SMSCB:hopping' name='TC_etws_p1ro_end' time='22.502646'/> <testcase classname='BTS_Tests_SMSCB:hopping' name='TC_etws_pcu' time='0.695146'/> <testcase classname='BTS_Tests_LAPDm:hopping' name='TC_sabm_ua_dcch_sapi0' time='2.674311'/> <testcase classname='BTS_Tests_LAPDm:hopping' name='TC_sabm_ua_dcch_sapi0_nopayload' time='21.142216'/> <testcase classname='BTS_Tests_LAPDm:hopping' name='TC_sabm_ua_dcch_sapi3' time='25.748416'/> <testcase classname='BTS_Tests_LAPDm:hopping' name='TC_sabm_ua_dcch_sapi4' time='21.203237'/> <testcase classname='BTS_Tests_LAPDm:hopping' name='TC_sabm_contention' time='21.001001'/> <testcase classname='BTS_Tests_LAPDm:hopping' name='TC_sabm_retransmit' time='2.780757'/> <testcase classname='BTS_Tests_LAPDm:hopping' name='TC_sabm_retransmit_bts' time='81.424602'/> <testcase classname='BTS_Tests_LAPDm:hopping' name='TC_sabm_invalid_resp' time='23.399877'> <failure type='fail-verdict'>Timeout waiting for SABM retransmission after sending "RR" BTS_Tests_LAPDm.ttcn:1481 BTS_Tests_LAPDm control part BTS_Tests_LAPDm.ttcn:379 TC_sabm_invalid_resp testcase </failure> </testcase> <testcase classname='BTS_Tests_LAPDm:hopping' name='TC_sabm_dm' time='13.799326'/> <testcase classname='BTS_Tests_LAPDm:hopping' name='TC_establish_ign_first_sabm' time='7.753982'/> <testcase classname='BTS_Tests_LAPDm:hopping' name='TC_iframe_seq_and_ack' time='29.626733'> <failure type='fail-verdict'>Received RSL ERROR IND { msg_disc := { msg_group := RSL_MDISC_RLL (1), transparent := false }, msg_type := RSL_MT_ERROR_IND (3), ies := { { iei := RSL_IE_CHAN_NR (1), body := { chan_nr := { u := { sdcch8 := { tag := '01'B, sub_chan := 4 } }, tn := 6 } } }, { iei := RSL_IE_LINK_IDENT (2), body := { link_id := { c := FACCH_SDCCH (0), na := false, prio := SAPI0_PRIO_NORMAL (0), sapi := 0 } } }, { iei := RSL_IE_RLM_CAUSE (22), body := { rlm_cause := { len := 1, payload := '01'O } } } } } BTS_Tests_LAPDm.ttcn:1484 BTS_Tests_LAPDm control part BTS_Tests_LAPDm.ttcn:579 TC_iframe_seq_and_ack testcase </failure> </testcase> <testcase classname='BTS_Tests_LAPDm:hopping' name='TC_iframe_timer_recovery' time='24.473013'> <failure type='fail-verdict'>Received RSL ERROR IND { msg_disc := { msg_group := RSL_MDISC_RLL (1), transparent := false }, msg_type := RSL_MT_ERROR_IND (3), ies := { { iei := RSL_IE_CHAN_NR (1), body := { chan_nr := { u := { sdcch8 := { tag := '01'B, sub_chan := 4 } }, tn := 6 } } }, { iei := RSL_IE_LINK_IDENT (2), body := { link_id := { c := FACCH_SDCCH (0), na := false, prio := SAPI0_PRIO_NORMAL (0), sapi := 0 } } }, { iei := RSL_IE_RLM_CAUSE (22), body := { rlm_cause := { len := 1, payload := '01'O } } } } } BTS_Tests_LAPDm.ttcn:1485 BTS_Tests_LAPDm control part BTS_Tests_LAPDm.ttcn:685 TC_iframe_timer_recovery testcase </failure> </testcase> <testcase classname='BTS_Tests_LAPDm:hopping' name='TC_ns_seq_error' time='29.367100'> <failure type='fail-verdict'>"BTS_Tests.ttcn:732 : Tguard timeout" BTS_Tests_LAPDm.ttcn:1486 BTS_Tests_LAPDm control part BTS_Tests_LAPDm.ttcn:768 TC_ns_seq_error testcase </failure> </testcase> <testcase classname='BTS_Tests_LAPDm:hopping' name='TC_nr_seq_error' time='2.754511'/> <testcase classname='BTS_Tests_LAPDm:hopping' name='TC_rec_invalid_frame' time='66.087559'> <failure type='fail-verdict'>"BTS_Tests_LAPDm.ttcn:943 : Missing LAPDm_RR RSP" BTS_Tests_LAPDm.ttcn:1488 BTS_Tests_LAPDm control part BTS_Tests_LAPDm.ttcn:961 TC_rec_invalid_frame testcase </failure> </testcase> <testcase classname='BTS_Tests_LAPDm:hopping' name='TC_segm_concat_dcch' time='12.797599'> <failure type='fail-verdict'>"BTS_Tests_LAPDm.ttcn:1023 : received unexpected LAPDm { sacch := false, sapi := 0, lapdm := { ab := { addr := { spare := '0'B, lpd := 0, sapi := 0, c_r := false, ea := true }, ctrl := { s := { n_r := 1, p_f := false, s := '10'B, spare := '01'B } }, len := 0, m := false, el := 1, payload := ''O, padding := '2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B'O (\"++++++++++++++++++++\") } } }" BTS_Tests_LAPDm.ttcn:1489 BTS_Tests_LAPDm control part BTS_Tests_LAPDm.ttcn:1088 TC_segm_concat_dcch testcase </failure> </testcase> <testcase classname='BTS_Tests_LAPDm:hopping' name='TC_segm_concat_sacch' time='47.364556'> <failure type='fail-verdict'>"BTS_Tests_LAPDm.ttcn:1023 : received unexpected LAPDm { sacch := true, sapi := 0, lapdm := { ab := { addr := { spare := '0'B, lpd := 0, sapi := 0, c_r := false, ea := true }, ctrl := { u := { u := '011'B, p_f := true, u2 := '00'B, spare := '11'B } }, len := 0, m := false, el := 1, payload := ''O, padding := '2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B'O (\"++++++++++++++++++\") } } }" BTS_Tests_LAPDm.ttcn:1490 BTS_Tests_LAPDm control part BTS_Tests_LAPDm.ttcn:1093 TC_segm_concat_sacch testcase </failure> </testcase> <testcase classname='BTS_Tests_LAPDm:hopping' name='TC_t200_n200' time='20.705532'> <failure type='fail-verdict'>"BTS_Tests.ttcn:732 : Tguard timeout" BTS_Tests_LAPDm.ttcn:1491 BTS_Tests_LAPDm control part BTS_Tests_LAPDm.ttcn:1182 TC_t200_n200 testcase </failure> </testcase> <testcase classname='BTS_Tests_LAPDm:hopping' name='TC_rr_response_frame_loss' time='6.761099'> <failure type='fail-verdict'>Timeout waiting for RR or REJ BTS_Tests_LAPDm.ttcn:1492 BTS_Tests_LAPDm control part BTS_Tests_LAPDm.ttcn:1239 TC_rr_response_frame_loss testcase </failure> </testcase> <testcase classname='BTS_Tests_LAPDm:hopping' name='TC_incorrect_cr' time='15.585103'/> <testcase classname='BTS_Tests_LAPDm:hopping' name='TC_sabm_incorrect_c' time='23.221076'> <failure type='fail-verdict'>"BTS_Tests.ttcn:732 : Tguard timeout" BTS_Tests_LAPDm.ttcn:1494 BTS_Tests_LAPDm control part BTS_Tests_LAPDm.ttcn:1341 TC_sabm_incorrect_c testcase </failure> </testcase> <testcase classname='BTS_Tests_LAPDm:hopping' name='TC_normal_reestablishment' time='15.863158'> <failure type='fail-verdict'>"BTS_Tests_LAPDm.ttcn:1023 : received unexpected LAPDm { sacch := false, sapi := 0, lapdm := { ab := { addr := { spare := '0'B, lpd := 0, sapi := 0, c_r := false, ea := true }, ctrl := { u := { u := '011'B, p_f := true, u2 := '00'B, spare := '11'B } }, len := 5, m := false, el := 1, payload := 'FFF5302704'O, padding := '2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B'O (\"+++++++++++++++\") } } }" BTS_Tests_LAPDm.ttcn:1495 BTS_Tests_LAPDm control part BTS_Tests_LAPDm.ttcn:1403 TC_normal_reestablishment testcase </failure> </testcase> <testcase classname='BTS_Tests_LAPDm:hopping' name='TC_normal_reestablishment_state_unacked' time='12.212202'> <failure type='fail-verdict'>"BTS_Tests_LAPDm.ttcn:1023 : received unexpected LAPDm { sacch := false, sapi := 0, lapdm := { ab := { addr := { spare := '0'B, lpd := 0, sapi := 0, c_r := false, ea := true }, ctrl := { s := { n_r := 1, p_f := false, s := '10'B, spare := '01'B } }, len := 0, m := false, el := 1, payload := ''O, padding := '2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B'O (\"++++++++++++++++++++\") } } }" BTS_Tests_LAPDm.ttcn:1496 BTS_Tests_LAPDm control part BTS_Tests_LAPDm.ttcn:1470 TC_normal_reestablishment_state_unacked testcase </failure> </testcase> <testcase classname='BTS_Tests_VAMOS:hopping' name='TC_vamos_chan_act_vff' time='2.370680'/> <testcase classname='BTS_Tests_VAMOS:hopping' name='TC_vamos_chan_act_vhh' time='2.537798'/> <testcase classname='BTS_Tests_VAMOS:hopping' name='TC_vamos_chan_act_hvhh' time='2.525078'/> <testcase classname='BTS_Tests_VAMOS:hopping' name='TC_vamos_chan_act_dyn_ipa_vff' time='2.541507'/> <testcase classname='BTS_Tests_VAMOS:hopping' name='TC_vamos_chan_act_dyn_osmo_vff' time='2.549632'/> <testcase classname='BTS_Tests_VAMOS:hopping' name='TC_vamos_chan_act_dyn_osmo_vhh' time='2.475619'/> <testcase classname='BTS_Tests_VAMOS:hopping' name='TC_vamos_chan_act_dyn_osmo_hvhh' time='2.567780'/> <testcase classname='BTS_Tests_VAMOS:hopping' name='TC_vamos_chan_mode_modify_vff' time='1.240338'/> <testcase classname='BTS_Tests_VAMOS:hopping' name='TC_vamos_chan_mode_modify_vhh' time='1.224974'/> <testcase classname='BTS_Tests_VAMOS:hopping' name='TC_vamos_chan_mode_modify_hvhh' time='1.310622'/> <testcase classname='BTS_Tests_VAMOS:hopping' name='TC_vamos_chan_mode_modify_dyn_ipa_vff' time='1.249516'/> <testcase classname='BTS_Tests_VAMOS:hopping' name='TC_vamos_chan_mode_modify_dyn_osmo_vff' time='1.292919'/> <testcase classname='BTS_Tests_VAMOS:hopping' name='TC_vamos_chan_mode_modify_dyn_osmo_vhh' time='1.333912'/> <testcase classname='BTS_Tests_VAMOS:hopping' name='TC_vamos_chan_mode_modify_dyn_osmo_hvhh' time='1.299470'/> <testcase classname='BTS_Tests_ASCI:hopping' name='TC_vbs_notification' time='4.627141'/> <testcase classname='BTS_Tests_ASCI:hopping' name='TC_vgcs_uplink_free_and_busy' time='1.688187'/> <testcase classname='BTS_Tests_ASCI:hopping' name='TC_vgcs_talker_fail' time='16.318069'/> <testcase classname='BTS_Tests_ASCI:hopping' name='TC_vgcs_talker_est_rel' time='1.433985'/> <testcase classname='BTS_Tests_ASCI:hopping' name='TC_vgcs_listener_det' time='3.299574'/> </testsuite> <?xml version="1.0"?> <testsuite name='Titan' tests='17' failures='0' errors='0' skipped='0' inconc='0' time='95.00'> <testcase classname='BTS_Tests_OML' name='TC_wrong_mdisc' time='10.711270'/> <testcase classname='BTS_Tests_OML' name='TC_wrong_msgtype' time='0.675113'/> <testcase classname='BTS_Tests_OML' name='TC_short_length' time='0.686916'/> <testcase classname='BTS_Tests_OML' name='TC_long_length' time='0.679504'/> <testcase classname='BTS_Tests_OML' name='TC_wrong_placement' time='0.683029'/> <testcase classname='BTS_Tests_OML' name='TC_wrong_seq' time='0.662608'/> <testcase classname='BTS_Tests_OML' name='TC_wrong_obj_class' time='0.686452'/> <testcase classname='BTS_Tests_OML' name='TC_wrong_bts_nr' time='0.689026'/> <testcase classname='BTS_Tests_OML' name='TC_wrong_trx_nr' time='0.674138'/> <testcase classname='BTS_Tests_OML' name='TC_radio_carrier_opstart_noattr' time='0.685535'/> <testcase classname='BTS_Tests_OML' name='TC_bts_opstart' time='0.681160'/> <testcase classname='BTS_Tests_OML' name='TC_bts_opstart_noattr' time='0.693481'/> <testcase classname='BTS_Tests_OML' name='TC_ts_opstart' time='0.692478'/> <testcase classname='BTS_Tests_OML' name='TC_ts_opstart_noattr' time='0.698412'/> <testcase classname='BTS_Tests_OML' name='TC_initial_state_reports' time='0.685184'/> <testcase classname='BTS_Tests_OML' name='TC_ipa_osmo_pcu_anr_fwd' time='0.694154'/> <testcase classname='BTS_Tests_OML' name='TC_ipa_rsl_connect_nack' time='0.680215'/> </testsuite> + check_respawn_count + set +x [0;31m ================================================================ WARNING: osmo-bts was respawned 5 times (expected: 3)! (OS#6794) ================================================================ [0m+ RC=1 + uptime + grep --color=always -o load.* [01;31m[Kload average: 10.89, 12.25, 11.52[m[K + exit 1 Build step 'Execute shell' marked build as failure Recording test results [Checks API] No suitable checks publisher found.
1
0
0
0
Build failed in Jenkins: osmocom-coverity-status #897
by jenkins@lists.osmocom.org
18 May '26
18 May '26
See <
https://jenkins.osmocom.org/jenkins/job/osmocom-coverity-status/897/display…
> Changes: ------------------------------------------ Started by timer Running as SYSTEM Building remotely on build4-deb12build-ansible (ttcn3 obs osmo-gsm-tester-build qemu io_uring linux-shallow-clone osmocom-gerrit coverity osmocom-master) in workspace <
https://jenkins.osmocom.org/jenkins/job/osmocom-coverity-status/ws/
> The recommended git tool is: NONE No credentials specified Wiping out workspace first. Cloning the remote Git repository Cloning repository
https://gerrit.osmocom.org/osmo-ci
> git init <
https://jenkins.osmocom.org/jenkins/job/osmocom-coverity-status/ws/
> # timeout=10 Fetching upstream changes from
https://gerrit.osmocom.org/osmo-ci
> git --version # timeout=10 > git --version # 'git version 2.39.5' > git fetch --tags --force --progress --
https://gerrit.osmocom.org/osmo-ci
+refs/heads/*:refs/remotes/origin/* # timeout=10 > git config remote.origin.url
https://gerrit.osmocom.org/osmo-ci
# timeout=10 > git config --add remote.origin.fetch +refs/heads/*:refs/remotes/origin/* # timeout=10 Avoid second fetch > git rev-parse origin/master^{commit} # timeout=10 Checking out Revision 8c48379482e30b13b719994c3d71e2cc91d21ca6 (origin/master) > git config core.sparsecheckout # timeout=10 > git checkout -f 8c48379482e30b13b719994c3d71e2cc91d21ca6 # timeout=10 Commit message: "lint/checkpatch: ignore STATIC_CONST_CHAR_ARRAY" > git rev-list --no-walk 8c48379482e30b13b719994c3d71e2cc91d21ca6 # timeout=10 [osmocom-coverity-status] $ /bin/sh -xe /tmp/jenkins4574170022063364741.sh + coverity/badge_status.sh
https://scan.coverity.com/projects/7523/badge.svg
: 2026-05-15 06:01:01 ERROR 404: Not Found. Build step 'Execute shell' marked build as failure
1
3
0
0
Build failed in Jenkins: master-dahdi-linux-torvalds-master #1076
by jenkins@lists.osmocom.org
18 May '26
18 May '26
See <
https://jenkins.osmocom.org/jenkins/job/master-dahdi-linux-torvalds-master/…
> Changes: ------------------------------------------ [...truncated 3.04 KiB...] + KSRC=/linux + JOBS=9 + [ -d /linux ] + cd /linux + [ -e .config ] + make x86_64_defconfig HOSTCC scripts/basic/fixdep HOSTCC scripts/kconfig/conf.o HOSTCC scripts/kconfig/confdata.o HOSTCC scripts/kconfig/expr.o LEX scripts/kconfig/lexer.lex.c YACC scripts/kconfig/parser.tab.[ch] HOSTCC scripts/kconfig/lexer.lex.o HOSTCC scripts/kconfig/menu.o HOSTCC scripts/kconfig/parser.tab.o HOSTCC scripts/kconfig/preprocess.o HOSTCC scripts/kconfig/symbol.o HOSTCC scripts/kconfig/util.o HOSTLD scripts/kconfig/conf # # configuration written to .config # + [ arch/x86/configs/x86_64_defconfig -nt .config ] + git log -1 --pretty=%t - %s 4031e1be6f - Merge tag 'sched_ext-for-7.1' of
git://git.kernel.org/pub/scm/linux/kernel/git/tj/sched_ext
+ make -j 9 modules_prepare GEN arch/x86/include/generated/asm/orc_hash.h WRAP arch/x86/include/generated/uapi/asm/bpf_perf_event.h HOSTCC scripts/basic/fixdep WRAP arch/x86/include/generated/uapi/asm/errno.h WRAP arch/x86/include/generated/uapi/asm/fcntl.h WRAP arch/x86/include/generated/uapi/asm/ioctl.h WRAP arch/x86/include/generated/uapi/asm/ioctls.h SYSHDR arch/x86/include/generated/uapi/asm/unistd_32.h WRAP arch/x86/include/generated/uapi/asm/ipcbuf.h WRAP arch/x86/include/generated/uapi/asm/param.h SYSHDR arch/x86/include/generated/uapi/asm/unistd_64.h SYSHDR arch/x86/include/generated/uapi/asm/unistd_x32.h WRAP arch/x86/include/generated/uapi/asm/poll.h UPD include/generated/uapi/linux/version.h WRAP arch/x86/include/generated/uapi/asm/resource.h SYSTBL arch/x86/include/generated/asm/syscalls_32.h WRAP arch/x86/include/generated/uapi/asm/socket.h WRAP arch/x86/include/generated/uapi/asm/sockios.h WRAP arch/x86/include/generated/uapi/asm/termbits.h UPD arch/x86/include/generated/asm/cpufeaturemasks.h WRAP arch/x86/include/generated/uapi/asm/termios.h WRAP arch/x86/include/generated/uapi/asm/types.h SYSHDR arch/x86/include/generated/asm/unistd_32_ia32.h SYSHDR arch/x86/include/generated/asm/unistd_64_x32.h UPD include/generated/compile.h SYSTBL arch/x86/include/generated/asm/syscalls_64.h WRAP arch/x86/include/generated/asm/early_ioremap.h WRAP arch/x86/include/generated/asm/fprobe.h WRAP arch/x86/include/generated/asm/mcs_spinlock.h WRAP arch/x86/include/generated/asm/mmzone.h WRAP arch/x86/include/generated/asm/irq_regs.h WRAP arch/x86/include/generated/asm/kmap_size.h WRAP arch/x86/include/generated/asm/local64.h WRAP arch/x86/include/generated/asm/mmiowb.h WRAP arch/x86/include/generated/asm/module.lds.h WRAP arch/x86/include/generated/asm/rwonce.h DESCEND objtool HOSTCC arch/x86/tools/relocs_32.o HOSTCC arch/x86/tools/relocs_64.o HOSTCC arch/x86/tools/relocs_common.o HOSTCC arch/x86/tools/vdso2c HOSTCC scripts/kallsyms HOSTCC scripts/sorttable.o HOSTCC scripts/selinux/mdp/mdp HOSTCC scripts/elf-parse.o HOSTCC scripts/asn1_compiler HOSTCC scripts/tracepoint-update.o HOSTLD scripts/sorttable HOSTLD arch/x86/tools/relocs HOSTLD scripts/tracepoint-update INSTALL /linux/tools/objtool/libsubcmd/include/subcmd/exec-cmd.h INSTALL /linux/tools/objtool/libsubcmd/include/subcmd/help.h INSTALL /linux/tools/objtool/libsubcmd/include/subcmd/pager.h INSTALL /linux/tools/objtool/libsubcmd/include/subcmd/parse-options.h INSTALL /linux/tools/objtool/libsubcmd/include/subcmd/run-command.h INSTALL libsubcmd_headers CC /linux/tools/objtool/libsubcmd/exec-cmd.o CC /linux/tools/objtool/libsubcmd/help.o CC /linux/tools/objtool/libsubcmd/pager.o CC /linux/tools/objtool/libsubcmd/parse-options.o CC /linux/tools/objtool/libsubcmd/run-command.o CC /linux/tools/objtool/libsubcmd/sigchain.o CC /linux/tools/objtool/libsubcmd/subcmd-config.o LD /linux/tools/objtool/libsubcmd/libsubcmd-in.o AR /linux/tools/objtool/libsubcmd/libsubcmd.a CC /linux/tools/objtool/weak.o CC /linux/tools/objtool/check.o MKDIR /linux/tools/objtool/arch/x86/lib/ CC /linux/tools/objtool/special.o MKDIR /linux/tools/objtool/arch/x86/lib/ CC /linux/tools/objtool/builtin-check.o CC /linux/tools/objtool/arch/x86/orc.o CC /linux/tools/objtool/elf.o GEN /linux/tools/objtool/arch/x86/lib/inat-tables.c GEN /linux/tools/objtool/arch/x86/lib/cpu-feature-names.c CC /linux/tools/objtool/objtool.o CC /linux/tools/objtool/arch/x86/special.o CC /linux/tools/objtool/orc_gen.o CC /linux/tools/objtool/orc_dump.o CC /linux/tools/objtool/libstring.o CC /linux/tools/objtool/arch/x86/decode.o CC /linux/tools/objtool/libctype.o CC /linux/tools/objtool/str_error_r.o CC /linux/tools/objtool/librbtree.o CC /linux/tools/objtool/signal.o LD /linux/tools/objtool/arch/x86/objtool-in.o LD /linux/tools/objtool/objtool-in.o LINK /linux/tools/objtool/objtool UPD include/config/kernel.release UPD include/generated/utsrelease.h CC scripts/mod/empty.o HOSTCC scripts/mod/mk_elfconfig CC scripts/mod/devicetable-offsets.s UPD scripts/mod/devicetable-offsets.h MKELF scripts/mod/elfconfig.h HOSTCC scripts/mod/modpost.o HOSTCC scripts/mod/file2alias.o HOSTCC scripts/mod/sumversion.o HOSTCC scripts/mod/symsearch.o HOSTLD scripts/mod/modpost CC kernel/bounds.s CHKSHA1 include/linux/atomic/atomic-arch-fallback.h CHKSHA1 include/linux/atomic/atomic-instrumented.h CHKSHA1 include/linux/atomic/atomic-long.h UPD include/generated/timeconst.h UPD include/generated/bounds.h CC arch/x86/kernel/asm-offsets.s UPD include/generated/asm-offsets.h CC kernel/sched/rq-offsets.s UPD include/generated/rq-offsets.h CALL scripts/checksyscalls.sh LDS scripts/module.lds + make -j 9 -C /build KSRC=/linux KBUILD_MODPOST_WARN=1 make: Entering directory '/build' make -C drivers/dahdi/firmware firmware-loaders make[1]: Entering directory '/build/drivers/dahdi/firmware' Attempting to download dahdi-fwload-vpmadt032-1.25.0.tar.gz --2026-04-15 23:20:30--
https://downloads.digium.com/pub/telephony/firmware/releases/dahdi-fwload-v…
Resolving
downloads.digium.com
(
downloads.digium.com
)... 165.22.184.19, 2604:a880:400:d0::14:9001 Connecting to
downloads.digium.com
(downloads.digium.com)|165.22.184.19|:443... connected. HTTP request sent, awaiting response... 200 OK Length: 149360 (146K) [application/octet-stream] Saving to: 'dahdi-fwload-vpmadt032-1.25.0.tar.gz' 0K .......... .......... .......... .......... .......... 34% 572K 0s 50K .......... .......... .......... .......... .......... 68% 573K 0s 100K .......... .......... .......... .......... ..... 100% 111M=0.2s 2026-04-15 23:20:31 (834 KB/s) - 'dahdi-fwload-vpmadt032-1.25.0.tar.gz' saved [149360/149360] make[1]: Leaving directory '/build/drivers/dahdi/firmware' make -C /linux KBUILD_EXTMOD=/build/drivers/dahdi DAHDI_INCLUDE=/build/include DAHDI_MODULES_EXTRA=" " HOTPLUG_FIRMWARE=yes modules DAHDI_BUILD_ALL=m make[1]: Entering directory '/linux' make[2]: Entering directory '/build/drivers/dahdi' CC [M] icE1usb/icE1usb.o CC [M] trunkdev/trunkdev.o CC [M] oct612x/octdeviceapi/oct6100api/oct6100_api/oct6100_adpcm_chan.o CC [M] wctc4xxp/base.o CC [M] wctdm24xxp/base.o CC [M] wcte12xp/base.o CC [M] voicebus/voicebus.o CC [M] wcb4xxp/base.o CC [M] wct4xxp/base.o CC [M] oct612x/octdeviceapi/oct6100api/oct6100_api/oct6100_channel.o CC [M] trunkdev/frame_fifo.o LD [M] trunkdev/dahdi-trunkdev.o CC [M] wctdm24xxp/xhfc.o CC [M] xpp/xbus-core.o CC [M] voicebus/GpakCust.o LD [M] wctc4xxp/wctc4xxp.o CC [M] zaphfc/base.o LD [M] wcte12xp/wcte12xp.o CC [M] oct612x/octdeviceapi/oct6100api/oct6100_api/oct6100_chip_open.o CC [M] dahdi-base.o CC [M] wct4xxp/vpm450m.o CC [M] zaphfc/fifo.o LD [M] wctdm24xxp/wctdm24xxp.o CC [M] dahdi-sysfs.o dahdi-base.c: In function 'do_ppp_calls': dahdi-base.c:6397:17: error: too many arguments to function 'ppp_input_error' 6397 | ppp_input_error(chan->ppp, 0); | ^~~~~~~~~~~~~~~ In file included from /build/include/dahdi/kernel.h:52, from dahdi-base.c:68: /linux/include/linux/ppp_channel.h:58:13: note: declared here 58 | extern void ppp_input_error(struct ppp_channel *); | ^~~~~~~~~~~~~~~ CC [M] voicebus/GpakApi.o make[4]: *** [/linux/scripts/Makefile.build:289: dahdi-base.o] Error 1 make[4]: *** Waiting for unfinished jobs.... CC [M] voicebus/voicebus_net.o CC [M] voicebus/vpmoct.o LD [M] wcb4xxp/wcb4xxp.o CC [M] xpp/xbus-sysfs.o LD [M] wct4xxp/wct4xxp.o CC [M] xpp/xbus-pcm.o LD [M] zaphfc/zaphfc.o CC [M] xpp/xframe_queue.o CC [M] xpp/xpp_dahdi.o CC [M] oct612x/octdeviceapi/oct6100api/oct6100_api/oct6100_chip_stats.o CC [M] xpp/xproto.o CC [M] oct612x/octdeviceapi/oct6100api/oct6100_api/oct6100_conf_bridge.o CC [M] oct612x/octdeviceapi/oct6100api/oct6100_api/oct6100_debug.o CC [M] oct612x/octdeviceapi/oct6100api/oct6100_api/oct6100_events.o CC [M] oct612x/octdeviceapi/oct6100api/oct6100_api/oct6100_interrupts.o CC [M] xpp/card_global.o CC [M] xpp/dahdi_debug.o CC [M] xpp/card_fxs.o LD [M] voicebus/dahdi_voicebus.o CC [M] xpp/card_fxo.o CC [M] oct612x/octdeviceapi/oct6100api/oct6100_api/oct6100_memory.o CC [M] oct612x/octdeviceapi/oct6100api/oct6100_api/oct6100_miscellaneous.o CC [M] oct612x/octdeviceapi/oct6100api/oct6100_api/oct6100_mixer.o CC [M] oct612x/octdeviceapi/oct6100api/oct6100_api/oct6100_phasing_tsst.o CC [M] oct612x/octdeviceapi/oct6100api/oct6100_api/oct6100_playout_buf.o CC [M] xpp/card_pri.o CC [M] oct612x/octdeviceapi/oct6100api/oct6100_api/oct6100_remote_debug.o CC [M] xpp/card_bri.o CC [M] oct612x/octdeviceapi/oct6100api/oct6100_api/oct6100_tlv.o CC [M] oct612x/octdeviceapi/oct6100api/oct6100_api/oct6100_tone_detection.o CC [M] oct612x/octdeviceapi/oct6100api/oct6100_api/oct6100_tsi_cnct.o CC [M] oct612x/octdeviceapi/oct6100api/oct6100_api/oct6100_tsst.o CC [M] xpp/card_echo.o CC [M] oct612x/apilib/bt/octapi_bt0.o CC [M] oct612x/apilib/largmath/octapi_largmath.o CC [M] oct612x/apilib/llman/octapi_llman.o CC [M] oct612x/oct612x-user.o CC [M] xpp/xpp_usb.o LD [M] xpp/xpp.o LD [M] oct612x/oct612x.o LD [M] xpp/xpd_fxo.o LD [M] xpp/xpd_echo.o LD [M] xpp/xpd_pri.o LD [M] xpp/xpd_fxs.o LD [M] xpp/xpd_bri.o make[3]: *** [/linux/Makefile:2139: .] Error 2 make[2]: *** [/linux/Makefile:248: __sub-make] Error 2 make[2]: Leaving directory '/build/drivers/dahdi' make[1]: *** [Makefile:248: __sub-make] Error 2 make[1]: Leaving directory '/linux' make: *** [Makefile:74: modules] Error 2 make: Leaving directory '/build' Build step 'Execute shell' marked build as failure
1
32
0
0
Jenkins build became unstable: ttcn3-s1gw-test #707
by jenkins@lists.osmocom.org
17 May '26
17 May '26
See <
https://jenkins.osmocom.org/jenkins/job/ttcn3-s1gw-test/707/display/redirect
>
1
1
0
0
Jenkins build became unstable: ttcn3-bsc-test-asan #710
by jenkins@lists.osmocom.org
16 May '26
16 May '26
See <
https://jenkins.osmocom.org/jenkins/job/ttcn3-bsc-test-asan/710/display/red…
>
1
1
0
0
Build failed in Jenkins: master-osmo-msc » --disable-iu,0,a3=default,a4=default,osmocom-master #51693
by jenkins@lists.osmocom.org
16 May '26
16 May '26
See <
https://jenkins.osmocom.org/jenkins/job/master-osmo-msc/IU=--disable-iu,WIT…
> Changes: ------------------------------------------ [...truncated 476.42 KiB...] State Recv-Q Send-Q Local Address:Port Peer Address:Port > ss -tln State Recv-Q Send-Q Local Address:Port Peer Address:Port LISTEN 0 10 127.0.0.1:4255 0.0.0.0:* LISTEN 0 10 127.0.0.1:4254 0.0.0.0:* LISTEN 0 10 0.0.0.0:2775 0.0.0.0:* > ps xua | grep osmo build 1 0.0 0.0 2584 1116 ? Ss 13:22 0:00 /usr/bin/timeout 30m /osmo-ci/scripts/wrapper_core_bt_on_error.sh /build/contrib/jenkins.sh build 7 0.0 0.0 2672 1076 ? S 13:22 0:00 /bin/sh /osmo-ci/scripts/wrapper_core_bt_on_error.sh /build/contrib/jenkins.sh build 63630 0.0 0.0 4056 3236 ? S 13:24 0:00 /bin/bash -c test -d osmo-msc-1.15.0.6-97eea/_build || exit 0; \ dc_install_base=`CDPATH="${ZSH_VERSION+.}:" && cd osmo-msc-1.15.0.6-97eea/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \ && dc_destdir="${TMPDIR-/tmp}/am-dc-$$/" \ && am__cwd=`pwd` \ && CDPATH="${ZSH_VERSION+.}:" && cd osmo-msc-1.15.0.6-97eea/_build/sub \ && ../../configure \ --with-systemdsystemunitdir=$dc_install_base/ \ --enable-werror --enable-smpp --disable-iu --enable-external-tests \ --srcdir=../.. --prefix="$dc_install_base" \ && make \ && make dvi \ && make check \ && make install \ && make installcheck \ && make uninstall \ && make distuninstallcheck_dir="$dc_install_base" \ distuninstallcheck \ && chmod -R a-w "$dc_install_base" \ && ({ \ (cd ../.. && umask 077 && mkdir "$dc_destdir") \ && make DESTDIR="$dc_destdir" install \ && make DESTDIR="$dc_destdir" uninstall \ && make DESTDIR="$dc_destdir" \ distuninstallcheck_dir="$dc_destdir" distuninstallcheck; \ } || { rm -rf "$dc_destdir"; exit 1; }) \ && rm -rf "$dc_destdir" \ && make dist \ && rm -rf osmo-msc-1.15.0.6-97eea.tar.gz osmo-msc-1.15.0.6-97eea.tar.bz2 \ && make distcleancheck \ && cd "$am__cwd" \ || exit 1 build 67193 0.0 0.0 4056 3188 ? S 13:24 0:00 /bin/bash -c fail=; \ if (target_option=k; case ${target_option-} in ?) ;; *) echo "am__make_running_with_option: internal error: invalid" "target option '${target_option-}' specified" >&2; exit 1;; esac; has_opt=no; sane_makeflags=$MAKEFLAGS; if { if test -z '2'; then false; elif test -n 'x86_64-pc-linux-gnu'; then true; elif test -n '4.4.1' && test -n '/build/osmo-msc-1.15.0.6-97eea/_build/sub'; then true; else false; fi; }; then sane_makeflags=$MFLAGS; else case $MAKEFLAGS in *\\[\ \?]*) bs=\\; sane_makeflags=`printf '%s\n' "$MAKEFLAGS" | sed "s/$bs$bs[$bs $bs?]*//g"`;; esac; fi; skip_next=no; strip_trailopt () { flg=`printf '%s\n' "$flg" | sed "s/$1.*$//"`; }; for flg in $sane_makeflags; do test $skip_next = yes && { skip_next=no; continue; }; case $flg in *=*|--*) continue;; -*I) strip_trailopt 'I'; skip_next=yes;; -*I?*) strip_trailopt 'I';; -*O) strip_trailopt 'O'; skip_next=yes;; -*O?*) strip_trailopt 'O';; -*l) strip_trailopt 'l'; skip_next=yes;; -*l?*) strip_trailopt 'l';; -[dEDm]) skip_next=yes;; -[JT]) skip_next=yes;; esac; case $flg in *$target_option*) has_opt=yes; break;; esac; done; test $has_opt = yes); then \ failcom='fail=yes'; \ else \ failcom='exit 1'; \ fi; \ dot_seen=no; \ target=`echo check-recursive | sed s/-recursive//`; \ case "check-recursive" in \ distclean-* | maintainer-clean-*) list='include src doc contrib tests ' ;; \ *) list='include src doc contrib tests ' ;; \ esac; \ for subdir in $list; do \ echo "Making $target in $subdir"; \ if test "$subdir" = "."; then \ dot_seen=yes; \ local_target="$target-am"; \ else \ local_target="$target"; \ fi; \ (CDPATH="${ZSH_VERSION+.}:" && cd $subdir && make $local_target) \ || eval $failcom; \ done; \ if test "$dot_seen" = "no"; then \ make "$target-am" || exit 1; \ fi; test -z "$fail" build 67246 0.0 0.0 4056 3108 ? S 13:24 0:00 /bin/bash -c fail=; \ if (target_option=k; case ${target_option-} in ?) ;; *) echo "am__make_running_with_option: internal error: invalid" "target option '${target_option-}' specified" >&2; exit 1;; esac; has_opt=no; sane_makeflags=$MAKEFLAGS; if { if test -z '3'; then false; elif test -n 'x86_64-pc-linux-gnu'; then true; elif test -n '4.4.1' && test -n '/build/osmo-msc-1.15.0.6-97eea/_build/sub/tests'; then true; else false; fi; }; then sane_makeflags=$MFLAGS; else case $MAKEFLAGS in *\\[\ \?]*) bs=\\; sane_makeflags=`printf '%s\n' "$MAKEFLAGS" | sed "s/$bs$bs[$bs $bs?]*//g"`;; esac; fi; skip_next=no; strip_trailopt () { flg=`printf '%s\n' "$flg" | sed "s/$1.*$//"`; }; for flg in $sane_makeflags; do test $skip_next = yes && { skip_next=no; continue; }; case $flg in *=*|--*) continue;; -*I) strip_trailopt 'I'; skip_next=yes;; -*I?*) strip_trailopt 'I';; -*O) strip_trailopt 'O'; skip_next=yes;; -*O?*) strip_trailopt 'O';; -*l) strip_trailopt 'l'; skip_next=yes;; -*l?*) strip_trailopt 'l';; -[dEDm]) skip_next=yes;; -[JT]) skip_next=yes;; esac; case $flg in *$target_option*) has_opt=yes; break;; esac; done; test $has_opt = yes); then \ failcom='fail=yes'; \ else \ failcom='exit 1'; \ fi; \ dot_seen=no; \ target=`echo check-recursive | sed s/-recursive//`; \ case "check-recursive" in \ distclean-* | maintainer-clean-*) list='sms_queue msc_vlr db_sms sdp_msg mncc csd smpp' ;; \ *) list='sms_queue msc_vlr db_sms sdp_msg mncc csd smpp ' ;; \ esac; \ for subdir in $list; do \ echo "Making $target in $subdir"; \ if test "$subdir" = "."; then \ dot_seen=yes; \ local_target="$target-am"; \ else \ local_target="$target"; \ fi; \ (CDPATH="${ZSH_VERSION+.}:" && cd $subdir && make $local_target) \ || eval $failcom; \ done; \ if test "$dot_seen" = "no"; then \ make "$target-am" || exit 1; \ fi; test -z "$fail" build 73178 1.9 0.0 21596 16488 ? S 13:25 0:00 python3 ../../../tests/vty_test_runner.py -w /build/osmo-msc-1.15.0.6-97eea/_build/sub -v build 73190 33.3 0.0 21474928888 42632 ? D 13:25 0:00 ./src/osmo-msc/osmo-msc -c /build/osmo-msc-1.15.0.6-97eea/tests/../doc/examples/osmo-msc/osmo-msc.cfg build 73197 0.0 0.0 2672 1072 ? S 13:25 0:00 /bin/sh -c ps xua | grep osmo build 73199 0.0 0.0 3888 1824 ? S 13:25 0:00 grep osmo Socket: in 1 tries, connected to 127.0.0.1:4254 <socket.socket fd=5, family=2, type=1, proto=0, laddr=('127.0.0.1', 38606), raddr=('127.0.0.1', 4254)> (1 sockets open) Rec: ["% 'periodic location update' is now deprecated. Use 'msc' / 'timer vlr T3212' to change subscriber expiration timeout.", '% Setting T3212 to 121 minutes (emulating the old behaviour).'] Exp: ["% 'periodic location update' is now deprecated: use 'timer T3212' to change subscriber expiration timeout.", '% Setting T3212 to 121 minutes (emulating the old behaviour).'] Socket: closing 127.0.0.1:4254 <socket.socket fd=5, family=2, type=1, proto=0, laddr=('127.0.0.1', 38606), raddr=('127.0.0.1', 4254)> (0 sockets open) Process returned code: 0 ok testShowNetwork (__main__.TestVTYMSC.testShowNetwork) ... Launching: PWD=/build/osmo-msc-1.15.0.6-97eea/_build/sub './src/osmo-msc/osmo-msc' '-c' '/build/osmo-msc-1.15.0.6-97eea/tests/../doc/examples/osmo-msc/osmo-msc.cfg' > ls -l /proc/73178/fd total 0 lr-x------ 1 build build 64 May 16 13:25 0 -> pipe:[72699503] l-wx------ 1 build build 64 May 16 13:25 1 -> pipe:[72699504] l-wx------ 1 build build 64 May 16 13:25 2 -> pipe:[72699505] lrwx------ 1 build build 64 May 16 13:25 3 -> /tmp/tmpug8uvnww (deleted) lrwx------ 1 build build 64 May 16 13:25 4 -> /tmp/tmpqhxe70o1 (deleted) > ss -tn State Recv-Q Send-Q Local Address:Port Peer Address:Port > ss -tln State Recv-Q Send-Q Local Address:Port Peer Address:Port LISTEN 0 10 127.0.0.1:4255 0.0.0.0:* LISTEN 0 10 127.0.0.1:4254 0.0.0.0:* LISTEN 0 10 0.0.0.0:2775 0.0.0.0:* > ps xua | grep osmo build 1 0.0 0.0 2584 1116 ? Ss 13:22 0:00 /usr/bin/timeout 30m /osmo-ci/scripts/wrapper_core_bt_on_error.sh /build/contrib/jenkins.sh build 7 0.0 0.0 2672 1076 ? S 13:22 0:00 /bin/sh /osmo-ci/scripts/wrapper_core_bt_on_error.sh /build/contrib/jenkins.sh build 63630 0.0 0.0 4056 3236 ? S 13:24 0:00 /bin/bash -c test -d osmo-msc-1.15.0.6-97eea/_build || exit 0; \ dc_install_base=`CDPATH="${ZSH_VERSION+.}:" && cd osmo-msc-1.15.0.6-97eea/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \ && dc_destdir="${TMPDIR-/tmp}/am-dc-$$/" \ && am__cwd=`pwd` \ && CDPATH="${ZSH_VERSION+.}:" && cd osmo-msc-1.15.0.6-97eea/_build/sub \ && ../../configure \ --with-systemdsystemunitdir=$dc_install_base/ \ --enable-werror --enable-smpp --disable-iu --enable-external-tests \ --srcdir=../.. --prefix="$dc_install_base" \ && make \ && make dvi \ && make check \ && make install \ && make installcheck \ && make uninstall \ && make distuninstallcheck_dir="$dc_install_base" \ distuninstallcheck \ && chmod -R a-w "$dc_install_base" \ && ({ \ (cd ../.. && umask 077 && mkdir "$dc_destdir") \ && make DESTDIR="$dc_destdir" install \ && make DESTDIR="$dc_destdir" uninstall \ && make DESTDIR="$dc_destdir" \ distuninstallcheck_dir="$dc_destdir" distuninstallcheck; \ } || { rm -rf "$dc_destdir"; exit 1; }) \ && rm -rf "$dc_destdir" \ && make dist \ && rm -rf osmo-msc-1.15.0.6-97eea.tar.gz osmo-msc-1.15.0.6-97eea.tar.bz2 \ && make distcleancheck \ && cd "$am__cwd" \ || exit 1 build 67193 0.0 0.0 4056 3188 ? S 13:24 0:00 /bin/bash -c fail=; \ if (target_option=k; case ${target_option-} in ?) ;; *) echo "am__make_running_with_option: internal error: invalid" "target option '${target_option-}' specified" >&2; exit 1;; esac; has_opt=no; sane_makeflags=$MAKEFLAGS; if { if test -z '2'; then false; elif test -n 'x86_64-pc-linux-gnu'; then true; elif test -n '4.4.1' && test -n '/build/osmo-msc-1.15.0.6-97eea/_build/sub'; then true; else false; fi; }; then sane_makeflags=$MFLAGS; else case $MAKEFLAGS in *\\[\ \?]*) bs=\\; sane_makeflags=`printf '%s\n' "$MAKEFLAGS" | sed "s/$bs$bs[$bs $bs?]*//g"`;; esac; fi; skip_next=no; strip_trailopt () { flg=`printf '%s\n' "$flg" | sed "s/$1.*$//"`; }; for flg in $sane_makeflags; do test $skip_next = yes && { skip_next=no; continue; }; case $flg in *=*|--*) continue;; -*I) strip_trailopt 'I'; skip_next=yes;; -*I?*) strip_trailopt 'I';; -*O) strip_trailopt 'O'; skip_next=yes;; -*O?*) strip_trailopt 'O';; -*l) strip_trailopt 'l'; skip_next=yes;; -*l?*) strip_trailopt 'l';; -[dEDm]) skip_next=yes;; -[JT]) skip_next=yes;; esac; case $flg in *$target_option*) has_opt=yes; break;; esac; done; test $has_opt = yes); then \ failcom='fail=yes'; \ else \ failcom='exit 1'; \ fi; \ dot_seen=no; \ target=`echo check-recursive | sed s/-recursive//`; \ case "check-recursive" in \ distclean-* | maintainer-clean-*) list='include src doc contrib tests ' ;; \ *) list='include src doc contrib tests ' ;; \ esac; \ for subdir in $list; do \ echo "Making $target in $subdir"; \ if test "$subdir" = "."; then \ dot_seen=yes; \ local_target="$target-am"; \ else \ local_target="$target"; \ fi; \ (CDPATH="${ZSH_VERSION+.}:" && cd $subdir && make $local_target) \ || eval $failcom; \ done; \ if test "$dot_seen" = "no"; then \ make "$target-am" || exit 1; \ fi; test -z "$fail" build 67246 0.0 0.0 4056 3108 ? S 13:24 0:00 /bin/bash -c fail=; \ if (target_option=k; case ${target_option-} in ?) ;; *) echo "am__make_running_with_option: internal error: invalid" "target option '${target_option-}' specified" >&2; exit 1;; esac; has_opt=no; sane_makeflags=$MAKEFLAGS; if { if test -z '3'; then false; elif test -n 'x86_64-pc-linux-gnu'; then true; elif test -n '4.4.1' && test -n '/build/osmo-msc-1.15.0.6-97eea/_build/sub/tests'; then true; else false; fi; }; then sane_makeflags=$MFLAGS; else case $MAKEFLAGS in *\\[\ \?]*) bs=\\; sane_makeflags=`printf '%s\n' "$MAKEFLAGS" | sed "s/$bs$bs[$bs $bs?]*//g"`;; esac; fi; skip_next=no; strip_trailopt () { flg=`printf '%s\n' "$flg" | sed "s/$1.*$//"`; }; for flg in $sane_makeflags; do test $skip_next = yes && { skip_next=no; continue; }; case $flg in *=*|--*) continue;; -*I) strip_trailopt 'I'; skip_next=yes;; -*I?*) strip_trailopt 'I';; -*O) strip_trailopt 'O'; skip_next=yes;; -*O?*) strip_trailopt 'O';; -*l) strip_trailopt 'l'; skip_next=yes;; -*l?*) strip_trailopt 'l';; -[dEDm]) skip_next=yes;; -[JT]) skip_next=yes;; esac; case $flg in *$target_option*) has_opt=yes; break;; esac; done; test $has_opt = yes); then \ failcom='fail=yes'; \ else \ failcom='exit 1'; \ fi; \ dot_seen=no; \ target=`echo check-recursive | sed s/-recursive//`; \ case "check-recursive" in \ distclean-* | maintainer-clean-*) list='sms_queue msc_vlr db_sms sdp_msg mncc csd smpp' ;; \ *) list='sms_queue msc_vlr db_sms sdp_msg mncc csd smpp ' ;; \ esac; \ for subdir in $list; do \ echo "Making $target in $subdir"; \ if test "$subdir" = "."; then \ dot_seen=yes; \ local_target="$target-am"; \ else \ local_target="$target"; \ fi; \ (CDPATH="${ZSH_VERSION+.}:" && cd $subdir && make $local_target) \ || eval $failcom; \ done; \ if test "$dot_seen" = "no"; then \ make "$target-am" || exit 1; \ fi; test -z "$fail" build 73178 1.6 0.0 21596 16492 ? S 13:25 0:00 python3 ../../../tests/vty_test_runner.py -w /build/osmo-msc-1.15.0.6-97eea/_build/sub -v build 73201 37.5 0.0 21474928888 41388 ? S 13:25 0:00 ./src/osmo-msc/osmo-msc -c /build/osmo-msc-1.15.0.6-97eea/tests/../doc/examples/osmo-msc/osmo-msc.cfg build 73208 0.0 0.0 2672 1152 ? S 13:25 0:00 /bin/sh -c ps xua | grep osmo build 73210 0.0 0.0 3888 1852 ? S 13:25 0:00 grep osmo Socket: in 1 tries, connected to 127.0.0.1:4254 <socket.socket fd=5, family=2, type=1, proto=0, laddr=('127.0.0.1', 38610), raddr=('127.0.0.1', 4254)> (1 sockets open) Socket: closing 127.0.0.1:4254 <socket.socket fd=5, family=2, type=1, proto=0, laddr=('127.0.0.1', 38610), raddr=('127.0.0.1', 4254)> (0 sockets open) Terminating took 0.897s Process returned code: 0 ok testSi2Q (__main__.TestVTYMSC.testSi2Q) ... Launching: PWD=/build/osmo-msc-1.15.0.6-97eea/_build/sub './src/osmo-msc/osmo-msc' '-c' '/build/osmo-msc-1.15.0.6-97eea/tests/../doc/examples/osmo-msc/osmo-msc.cfg' > ls -l /proc/73178/fd total 0 lr-x------ 1 build build 64 May 16 13:25 0 -> pipe:[72699503] l-wx------ 1 build build 64 May 16 13:25 1 -> pipe:[72699504] l-wx------ 1 build build 64 May 16 13:25 2 -> pipe:[72699505] lrwx------ 1 build build 64 May 16 13:25 3 -> /tmp/tmp24zcxcni (deleted) lrwx------ 1 build build 64 May 16 13:25 4 -> /tmp/tmpgud5gnky (deleted) > ss -tn State Recv-Q Send-Q Local Address:Port Peer Address:Port > ss -tln State Recv-Q Send-Q Local Address:Port Peer Address:Port LISTEN 0 10 127.0.0.1:4255 0.0.0.0:* LISTEN 0 10 127.0.0.1:4254 0.0.0.0:* LISTEN 0 10 0.0.0.0:2775 0.0.0.0:* > ps xua | grep osmo build 1 0.0 0.0 2584 1116 ? Ss 13:22 0:00 /usr/bin/timeout 30m /osmo-ci/scripts/wrapper_core_bt_on_error.sh /build/contrib/jenkins.sh build 7 0.0 0.0 2672 1076 ? S 13:22 0:00 /bin/sh /osmo-ci/scripts/wrapper_core_bt_on_error.sh /build/contrib/jenkins.sh build 63630 0.0 0.0 4056 3236 ? S 13:24 0:00 /bin/bash -c test -d osmo-msc-1.15.0.6-97eea/_build || exit 0; \ dc_install_base=`CDPATH="${ZSH_VERSION+.}:" && cd osmo-msc-1.15.0.6-97eea/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \ && dc_destdir="${TMPDIR-/tmp}/am-dc-$$/" \ && am__cwd=`pwd` \ && CDPATH="${ZSH_VERSION+.}:" && cd osmo-msc-1.15.0.6-97eea/_build/sub \ && ../../configure \ --with-systemdsystemunitdir=$dc_install_base/ \ --enable-werror --enable-smpp --disable-iu --enable-external-tests \ --srcdir=../.. --prefix="$dc_install_base" \ && make \ && make dvi \ && make check \ && make install \ && make installcheck \ && make uninstall \ && make distuninstallcheck_dir="$dc_install_base" \ distuninstallcheck \ && chmod -R a-w "$dc_install_base" \ && ({ \ (cd ../.. && umask 077 && mkdir "$dc_destdir") \ && make DESTDIR="$dc_destdir" install \ && make DESTDIR="$dc_destdir" uninstall \ && make DESTDIR="$dc_destdir" \ distuninstallcheck_dir="$dc_destdir" distuninstallcheck; \ } || { rm -rf "$dc_destdir"; exit 1; }) \ && rm -rf "$dc_destdir" \ && make dist \ && rm -rf osmo-msc-1.15.0.6-97eea.tar.gz osmo-msc-1.15.0.6-97eea.tar.bz2 \ && make distcleancheck \ && cd "$am__cwd" \ || exit 1 build 67193 0.0 0.0 4056 3188 ? S 13:24 0:00 /bin/bash -c fail=; \ if (target_option=k; case ${target_option-} in ?) ;; *) echo "am__make_running_with_option: internal error: invalid" "target option '${target_option-}' specified" >&2; exit 1;; esac; has_opt=no; sane_makeflags=$MAKEFLAGS; if { if test -z '2'; then false; elif test -n 'x86_64-pc-linux-gnu'; then true; elif test -n '4.4.1' && test -n '/build/osmo-msc-1.15.0.6-97eea/_build/sub'; then true; else false; fi; }; then sane_makeflags=$MFLAGS; else case $MAKEFLAGS in *\\[\ \?]*) bs=\\; sane_makeflags=`printf '%s\n' "$MAKEFLAGS" | sed "s/$bs$bs[$bs $bs?]*//g"`;; esac; fi; skip_next=no; strip_trailopt () { flg=`printf '%s\n' "$flg" | sed "s/$1.*$//"`; }; for flg in $sane_makeflags; do test $skip_next = yes && { skip_next=no; continue; }; case $flg in *=*|--*) continue;; -*I) strip_trailopt 'I'; skip_next=yes;; -*I?*) strip_trailopt 'I';; -*O) strip_trailopt 'O'; skip_next=yes;; -*O?*) strip_trailopt 'O';; -*l) strip_trailopt 'l'; skip_next=yes;; -*l?*) strip_trailopt 'l';; -[dEDm]) skip_next=yes;; -[JT]) skip_next=yes;; esac; case $flg in *$target_option*) has_opt=yes; break;; esac; done; test $has_opt = yes); then \ failcom='fail=yes'; \ else \ failcom='exit 1'; \ fi; \ dot_seen=no; \ target=`echo check-recursive | sed s/-recursive//`; \ case "check-recursive" in \ distclean-* | maintainer-clean-*) list='include src doc contrib tests ' ;; \ *) list='include src doc contrib tests ' ;; \ esac; \ for subdir in $list; do \ echo "Making $target in $subdir"; \ if test "$subdir" = "."; then \ dot_seen=yes; \ local_target="$target-am"; \ else \ local_target="$target"; \ fi; \ (CDPATH="${ZSH_VERSION+.}:" && cd $subdir && make $local_target) \ || eval $failcom; \ done; \ if test "$dot_seen" = "no"; then \ make "$target-am" || exit 1; \ fi; test -z "$fail" build 67246 0.0 0.0 4056 3108 ? S 13:24 0:00 /bin/bash -c fail=; \ if (target_option=k; case ${target_option-} in ?) ;; *) echo "am__make_running_with_option: internal error: invalid" "target option '${target_option-}' specified" >&2; exit 1;; esac; has_opt=no; sane_makeflags=$MAKEFLAGS; if { if test -z '3'; then false; elif test -n 'x86_64-pc-linux-gnu'; then true; elif test -n '4.4.1' && test -n '/build/osmo-msc-1.15.0.6-97eea/_build/sub/tests'; then true; else false; fi; }; then sane_makeflags=$MFLAGS; else case $MAKEFLAGS in *\\[\ \?]*) bs=\\; sane_makeflags=`printf '%s\n' "$MAKEFLAGS" | sed "s/$bs$bs[$bs $bs?]*//g"`;; esac; fi; skip_next=no; strip_trailopt () { flg=`printf '%s\n' "$flg" | sed "s/$1.*$//"`; }; for flg in $sane_makeflags; do test $skip_next = yes && { skip_next=no; continue; }; case $flg in *=*|--*) continue;; -*I) strip_trailopt 'I'; skip_next=yes;; -*I?*) strip_trailopt 'I';; -*O) strip_trailopt 'O'; skip_next=yes;; -*O?*) strip_trailopt 'O';; -*l) strip_trailopt 'l'; skip_next=yes;; -*l?*) strip_trailopt 'l';; -[dEDm]) skip_next=yes;; -[JT]) skip_next=yes;; esac; case $flg in *$target_option*) has_opt=yes; break;; esac; done; test $has_opt = yes); then \ failcom='fail=yes'; \ else \ failcom='exit 1'; \ fi; \ dot_seen=no; \ target=`echo check-recursive | sed s/-recursive//`; \ case "check-recursive" in \ distclean-* | maintainer-clean-*) list='sms_queue msc_vlr db_sms sdp_msg mncc csd smpp' ;; \ *) list='sms_queue msc_vlr db_sms sdp_msg mncc csd smpp ' ;; \ esac; \ for subdir in $list; do \ echo "Making $target in $subdir"; \ if test "$subdir" = "."; then \ dot_seen=yes; \ local_target="$target-am"; \ else \ local_target="$target"; \ fi; \ (CDPATH="${ZSH_VERSION+.}:" && cd $subdir && make $local_target) \ || eval $failcom; \ done; \ if test "$dot_seen" = "no"; then \ make "$target-am" || exit 1; \ fi; test -z "$fail" build 73178 0.9 0.0 21596 16492 ? S 13:25 0:00 python3 ../../../tests/vty_test_runner.py -w /build/osmo-msc-1.15.0.6-97eea/_build/sub -v build 73212 28.5 0.0 21474928888 40560 ? D 13:25 0:00 ./src/osmo-msc/osmo-msc -c /build/osmo-msc-1.15.0.6-97eea/tests/../doc/examples/osmo-msc/osmo-msc.cfg build 73219 0.0 0.0 2672 1080 ? S 13:25 0:00 /bin/sh -c ps xua | grep osmo build 73221 0.0 0.0 3888 1868 ? S 13:25 0:00 grep osmo Socket: in 1 tries, connected to 127.0.0.1:4254 <socket.socket fd=5, family=2, type=1, proto=0, laddr=('127.0.0.1', 38616), raddr=('127.0.0.1', 4254)> (1 sockets open) Socket: closing 127.0.0.1:4254 <socket.socket fd=5, family=2, type=1, proto=0, laddr=('127.0.0.1', 38616), raddr=('127.0.0.1', 4254)> (0 sockets open) Terminating took 0.897s Process returned code: 0 ok testSmppFirst (__main__.TestVTYMSC.testSmppFirst) ... Launching: PWD=/build/osmo-msc-1.15.0.6-97eea/_build/sub './src/osmo-msc/osmo-msc' '-c' '/build/osmo-msc-1.15.0.6-97eea/tests/../doc/examples/osmo-msc/osmo-msc.cfg' > ls -l /proc/73178/fd total 0 lr-x------ 1 build build 64 May 16 13:25 0 -> pipe:[72699503] l-wx------ 1 build build 64 May 16 13:25 1 -> pipe:[72699504] l-wx------ 1 build build 64 May 16 13:25 2 -> pipe:[72699505] lrwx------ 1 build build 64 May 16 13:25 3 -> /tmp/tmp2w6zv03j (deleted) lrwx------ 1 build build 64 May 16 13:25 4 -> /tmp/tmpwthhi8ek (deleted) > ss -tn State Recv-Q Send-Q Local Address:Port Peer Address:Port > ss -tln State Recv-Q Send-Q Local Address:Port Peer Address:Port LISTEN 0 10 127.0.0.1:4255 0.0.0.0:* LISTEN 0 10 127.0.0.1:4254 0.0.0.0:* LISTEN 0 10 0.0.0.0:2775 0.0.0.0:* > ps xua | grep osmo build 1 0.0 0.0 2584 1116 ? Ss 13:22 0:00 /usr/bin/timeout 30m /osmo-ci/scripts/wrapper_core_bt_on_error.sh /build/contrib/jenkins.sh build 7 0.0 0.0 2672 1076 ? S 13:22 0:00 /bin/sh /osmo-ci/scripts/wrapper_core_bt_on_error.sh /build/contrib/jenkins.sh build 63630 0.0 0.0 4056 3236 ? S 13:24 0:00 /bin/bash -c test -d osmo-msc-1.15.0.6-97eea/_build || exit 0; \ dc_install_base=`CDPATH="${ZSH_VERSION+.}:" && cd osmo-msc-1.15.0.6-97eea/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \ && dc_destdir="${TMPDIR-/tmp}/am-dc-$$/" \ && am__cwd=`pwd` \ && CDPATH="${ZSH_VERSION+.}:" && cd osmo-msc-1.15.0.6-97eea/_build/sub \ && ../../configure \ --with-systemdsystemunitdir=$dc_install_base/ \ --enable-werror --enable-smpp --disable-iu --enable-external-tests \ --srcdir=../.. --prefix="$dc_install_base" \ && make \ && make dvi \ && make check \ && make install \ && make installcheck \ && make uninstall \ && make distuninstallcheck_dir="$dc_install_base" \ distuninstallcheck \ && chmod -R a-w "$dc_install_base" \ && ({ \ (cd ../.. && umask 077 && mkdir "$dc_destdir") \ && make DESTDIR="$dc_destdir" install \ && make DESTDIR="$dc_destdir" uninstall \ && make DESTDIR="$dc_destdir" \ distuninstallcheck_dir="$dc_destdir" distuninstallcheck; \ } || { rm -rf "$dc_destdir"; exit 1; }) \ && rm -rf "$dc_destdir" \ && make dist \ && rm -rf osmo-msc-1.15.0.6-97eea.tar.gz osmo-msc-1.15.0.6-97eea.tar.bz2 \ && make distcleancheck \ && cd "$am__cwd" \ || exit 1 build 67193 0.0 0.0 4056 3188 ? S 13:24 0:00 /bin/bash -c fail=; \ if (target_option=k; case ${target_option-} in ?) ;; *) echo "am__make_running_with_option: internal error: invalid" "target option '${target_option-}' specified" >&2; exit 1;; esac; has_opt=no; sane_makeflags=$MAKEFLAGS; if { if test -z '2'; then false; elif test -n 'x86_64-pc-linux-gnu'; then true; elif test -n '4.4.1' && test -n '/build/osmo-msc-1.15.0.6-97eea/_build/sub'; then true; else false; fi; }; then sane_makeflags=$MFLAGS; else case $MAKEFLAGS in *\\[\ \?]*) bs=\\; sane_makeflags=`printf '%s\n' "$MAKEFLAGS" | sed "s/$bs$bs[$bs $bs?]*//g"`;; esac; fi; skip_next=no; strip_trailopt () { flg=`printf '%s\n' "$flg" | sed "s/$1.*$//"`; }; for flg in $sane_makeflags; do test $skip_next = yes && { skip_next=no; continue; }; case $flg in *=*|--*) continue;; -*I) strip_trailopt 'I'; skip_next=yes;; -*I?*) strip_trailopt 'I';; -*O) strip_trailopt 'O'; skip_next=yes;; -*O?*) strip_trailopt 'O';; -*l) strip_trailopt 'l'; skip_next=yes;; -*l?*) strip_trailopt 'l';; -[dEDm]) skip_next=yes;; -[JT]) skip_next=yes;; esac; case $flg in *$target_option*) has_opt=yes; break;; esac; done; test $has_opt = yes); then \ failcom='fail=yes'; \ else \ failcom='exit 1'; \ fi; \ dot_seen=no; \ target=`echo check-recursive | sed s/-recursive//`; \ case "check-recursive" in \ distclean-* | maintainer-clean-*) list='include src doc contrib tests ' ;; \ *) list='include src doc contrib tests ' ;; \ esac; \ for subdir in $list; do \ echo "Making $target in $subdir"; \ if test "$subdir" = "."; then \ dot_seen=yes; \ local_target="$target-am"; \ else \ local_target="$target"; \ fi; \ (CDPATH="${ZSH_VERSION+.}:" && cd $subdir && make $local_target) \ || eval $failcom; \ done; \ if test "$dot_seen" = "no"; then \ make "$target-am" || exit 1; \ fi; test -z "$fail" build 67246 0.0 0.0 4056 3108 ? S 13:24 0:00 /bin/bash -c fail=; \ if (target_option=k; case ${target_option-} in ?) ;; *) echo "am__make_running_with_option: internal error: invalid" "target option '${target_option-}' specified" >&2; exit 1;; esac; has_opt=no; sane_makeflags=$MAKEFLAGS; if { if test -z '3'; then false; elif test -n 'x86_64-pc-linux-gnu'; then true; elif test -n '4.4.1' && test -n '/build/osmo-msc-1.15.0.6-97eea/_build/sub/tests'; then true; else false; fi; }; then sane_makeflags=$MFLAGS; else case $MAKEFLAGS in *\\[\ \?]*) bs=\\; sane_makeflags=`printf '%s\n' "$MAKEFLAGS" | sed "s/$bs$bs[$bs $bs?]*//g"`;; esac; fi; skip_next=no; strip_trailopt () { flg=`printf '%s\n' "$flg" | sed "s/$1.*$//"`; }; for flg in $sane_makeflags; do test $skip_next = yes && { skip_next=no; continue; }; case $flg in *=*|--*) continue;; -*I) strip_trailopt 'I'; skip_next=yes;; -*I?*) strip_trailopt 'I';; -*O) strip_trailopt 'O'; skip_next=yes;; -*O?*) strip_trailopt 'O';; -*l) strip_trailopt 'l'; skip_next=yes;; -*l?*) strip_trailopt 'l';; -[dEDm]) skip_next=yes;; -[JT]) skip_next=yes;; esac; case $flg in *$target_option*) has_opt=yes; break;; esac; done; test $has_opt = yes); then \ failcom='fail=yes'; \ else \ failcom='exit 1'; \ fi; \ dot_seen=no; \ target=`echo check-recursive | sed s/-recursive//`; \ case "check-recursive" in \ distclean-* | maintainer-clean-*) list='sms_queue msc_vlr db_sms sdp_msg mncc csd smpp' ;; \ *) list='sms_queue msc_vlr db_sms sdp_msg mncc csd smpp ' ;; \ esac; \ for subdir in $list; do \ echo "Making $target in $subdir"; \ if test "$subdir" = "."; then \ dot_seen=yes; \ local_target="$target-am"; \ else \ local_target="$target"; \ fi; \ (CDPATH="${ZSH_VERSION+.}:" && cd $subdir && make $local_target) \ || eval $failcom; \ done; \ if test "$dot_seen" = "no"; then \ make "$target-am" || exit 1; \ fi; test -z "$fail" build 73178 0.6 0.0 21596 16496 ? S 13:25 0:00 python3 ../../../tests/vty_test_runner.py -w /build/osmo-msc-1.15.0.6-97eea/_build/sub -v build 73223 20.0 0.0 21474928888 38660 ? D 13:25 0:00 ./src/osmo-msc/osmo-msc -c /build/osmo-msc-1.15.0.6-97eea/tests/../doc/examples/osmo-msc/osmo-msc.cfg build 73230 0.0 0.0 2672 1160 ? S 13:25 0:00 /bin/sh -c ps xua | grep osmo build 73232 0.0 0.0 3888 1888 ? S 13:25 0:00 grep osmo Socket: in 1 tries, connected to 127.0.0.1:4254 <socket.socket fd=5, family=2, type=1, proto=0, laddr=('127.0.0.1', 38628), raddr=('127.0.0.1', 4254)> (1 sockets open) Socket: closing 127.0.0.1:4254 <socket.socket fd=5, family=2, type=1, proto=0, laddr=('127.0.0.1', 38628), raddr=('127.0.0.1', 4254)> (0 sockets open) Terminating took 0.475s Process returned code: 0 ok testVtyTree (__main__.TestVTYMSC.testVtyTree) ... Launching: PWD=/build/osmo-msc-1.15.0.6-97eea/_build/sub './src/osmo-msc/osmo-msc' '-c' '/build/osmo-msc-1.15.0.6-97eea/tests/../doc/examples/osmo-msc/osmo-msc.cfg' > ls -l /proc/73178/fd total 0 lr-x------ 1 build build 64 May 16 13:25 0 -> pipe:[72699503] l-wx------ 1 build build 64 May 16 13:25 1 -> pipe:[72699504] l-wx------ 1 build build 64 May 16 13:25 2 -> pipe:[72699505] lrwx------ 1 build build 64 May 16 13:25 3 -> /tmp/tmp6_tzt03f (deleted) lrwx------ 1 build build 64 May 16 13:25 4 -> /tmp/tmpuym65prz (deleted) > ss -tn State Recv-Q Send-Q Local Address:Port Peer Address:Port > ss -tln State Recv-Q Send-Q Local Address:Port Peer Address:Port LISTEN 0 10 127.0.0.1:4255 0.0.0.0:* LISTEN 0 10 127.0.0.1:4254 0.0.0.0:* LISTEN 0 10 0.0.0.0:2775 0.0.0.0:* > ps xua | grep osmo build 1 0.0 0.0 2584 1116 ? Ss 13:22 0:00 /usr/bin/timeout 30m /osmo-ci/scripts/wrapper_core_bt_on_error.sh /build/contrib/jenkins.sh build 7 0.0 0.0 2672 1076 ? S 13:22 0:00 /bin/sh /osmo-ci/scripts/wrapper_core_bt_on_error.sh /build/contrib/jenkins.sh build 63630 0.0 0.0 4056 3236 ? S 13:24 0:00 /bin/bash -c test -d osmo-msc-1.15.0.6-97eea/_build || exit 0; \ dc_install_base=`CDPATH="${ZSH_VERSION+.}:" && cd osmo-msc-1.15.0.6-97eea/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \ && dc_destdir="${TMPDIR-/tmp}/am-dc-$$/" \ && am__cwd=`pwd` \ && CDPATH="${ZSH_VERSION+.}:" && cd osmo-msc-1.15.0.6-97eea/_build/sub \ && ../../configure \ --with-systemdsystemunitdir=$dc_install_base/ \ --enable-werror --enable-smpp --disable-iu --enable-external-tests \ --srcdir=../.. --prefix="$dc_install_base" \ && make \ && make dvi \ && make check \ && make install \ && make installcheck \ && make uninstall \ && make distuninstallcheck_dir="$dc_install_base" \ distuninstallcheck \ && chmod -R a-w "$dc_install_base" \ && ({ \ (cd ../.. && umask 077 && mkdir "$dc_destdir") \ && make DESTDIR="$dc_destdir" install \ && make DESTDIR="$dc_destdir" uninstall \ && make DESTDIR="$dc_destdir" \ distuninstallcheck_dir="$dc_destdir" distuninstallcheck; \ } || { rm -rf "$dc_destdir"; exit 1; }) \ && rm -rf "$dc_destdir" \ && make dist \ && rm -rf osmo-msc-1.15.0.6-97eea.tar.gz osmo-msc-1.15.0.6-97eea.tar.bz2 \ && make distcleancheck \ && cd "$am__cwd" \ || exit 1 build 67193 0.0 0.0 4056 3188 ? S 13:24 0:00 /bin/bash -c fail=; \ if (target_option=k; case ${target_option-} in ?) ;; *) echo "am__make_running_with_option: internal error: invalid" "target option '${target_option-}' specified" >&2; exit 1;; esac; has_opt=no; sane_makeflags=$MAKEFLAGS; if { if test -z '2'; then false; elif test -n 'x86_64-pc-linux-gnu'; then true; elif test -n '4.4.1' && test -n '/build/osmo-msc-1.15.0.6-97eea/_build/sub'; then true; else false; fi; }; then sane_makeflags=$MFLAGS; else case $MAKEFLAGS in *\\[\ \?]*) bs=\\; sane_makeflags=`printf '%s\n' "$MAKEFLAGS" | sed "s/$bs$bs[$bs $bs?]*//g"`;; esac; fi; skip_next=no; strip_trailopt () { flg=`printf '%s\n' "$flg" | sed "s/$1.*$//"`; }; for flg in $sane_makeflags; do test $skip_next = yes && { skip_next=no; continue; }; case $flg in *=*|--*) continue;; -*I) strip_trailopt 'I'; skip_next=yes;; -*I?*) strip_trailopt 'I';; -*O) strip_trailopt 'O'; skip_next=yes;; -*O?*) strip_trailopt 'O';; -*l) strip_trailopt 'l'; skip_next=yes;; -*l?*) strip_trailopt 'l';; -[dEDm]) skip_next=yes;; -[JT]) skip_next=yes;; esac; case $flg in *$target_option*) has_opt=yes; break;; esac; done; test $has_opt = yes); then \ failcom='fail=yes'; \ else \ failcom='exit 1'; \ fi; \ dot_seen=no; \ target=`echo check-recursive | sed s/-recursive//`; \ case "check-recursive" in \ distclean-* | maintainer-clean-*) list='include src doc contrib tests ' ;; \ *) list='include src doc contrib tests ' ;; \ esac; \ for subdir in $list; do \ echo "Making $target in $subdir"; \ if test "$subdir" = "."; then \ dot_seen=yes; \ local_target="$target-am"; \ else \ local_target="$target"; \ fi; \ (CDPATH="${ZSH_VERSION+.}:" && cd $subdir && make $local_target) \ || eval $failcom; \ done; \ if test "$dot_seen" = "no"; then \ make "$target-am" || exit 1; \ fi; test -z "$fail" build 67246 0.0 0.0 4056 3108 ? S 13:24 0:00 /bin/bash -c fail=; \ if (target_option=k; case ${target_option-} in ?) ;; *) echo "am__make_running_with_option: internal error: invalid" "target option '${target_option-}' specified" >&2; exit 1;; esac; has_opt=no; sane_makeflags=$MAKEFLAGS; if { if test -z '3'; then false; elif test -n 'x86_64-pc-linux-gnu'; then true; elif test -n '4.4.1' && test -n '/build/osmo-msc-1.15.0.6-97eea/_build/sub/tests'; then true; else false; fi; }; then sane_makeflags=$MFLAGS; else case $MAKEFLAGS in *\\[\ \?]*) bs=\\; sane_makeflags=`printf '%s\n' "$MAKEFLAGS" | sed "s/$bs$bs[$bs $bs?]*//g"`;; esac; fi; skip_next=no; strip_trailopt () { flg=`printf '%s\n' "$flg" | sed "s/$1.*$//"`; }; for flg in $sane_makeflags; do test $skip_next = yes && { skip_next=no; continue; }; case $flg in *=*|--*) continue;; -*I) strip_trailopt 'I'; skip_next=yes;; -*I?*) strip_trailopt 'I';; -*O) strip_trailopt 'O'; skip_next=yes;; -*O?*) strip_trailopt 'O';; -*l) strip_trailopt 'l'; skip_next=yes;; -*l?*) strip_trailopt 'l';; -[dEDm]) skip_next=yes;; -[JT]) skip_next=yes;; esac; case $flg in *$target_option*) has_opt=yes; break;; esac; done; test $has_opt = yes); then \ failcom='fail=yes'; \ else \ failcom='exit 1'; \ fi; \ dot_seen=no; \ target=`echo check-recursive | sed s/-recursive//`; \ case "check-recursive" in \ distclean-* | maintainer-clean-*) list='sms_queue msc_vlr db_sms sdp_msg mncc csd smpp' ;; \ *) list='sms_queue msc_vlr db_sms sdp_msg mncc csd smpp ' ;; \ esac; \ for subdir in $list; do \ echo "Making $target in $subdir"; \ if test "$subdir" = "."; then \ dot_seen=yes; \ local_target="$target-am"; \ else \ local_target="$target"; \ fi; \ (CDPATH="${ZSH_VERSION+.}:" && cd $subdir && make $local_target) \ || eval $failcom; \ done; \ if test "$dot_seen" = "no"; then \ make "$target-am" || exit 1; \ fi; test -z "$fail" build 73178 0.4 0.0 21596 16496 ? S 13:25 0:00 python3 ../../../tests/vty_test_runner.py -w /build/osmo-msc-1.15.0.6-97eea/_build/sub -v build 73234 25.0 0.0 21474928888 41060 ? D 13:25 0:00 ./src/osmo-msc/osmo-msc -c /build/osmo-msc-1.15.0.6-97eea/tests/../doc/examples/osmo-msc/osmo-msc.cfg build 73241 0.0 0.0 2672 1072 ? S 13:25 0:00 /bin/sh -c ps xua | grep osmo build 73243 0.0 0.0 3888 1832 ? S 13:25 0:00 grep osmo Socket: in 1 tries, connected to 127.0.0.1:4254 <socket.socket fd=5, family=2, type=1, proto=0, laddr=('127.0.0.1', 38636), raddr=('127.0.0.1', 4254)> (1 sockets open) Socket: closing 127.0.0.1:4254 <socket.socket fd=5, family=2, type=1, proto=0, laddr=('127.0.0.1', 38636), raddr=('127.0.0.1', 4254)> (0 sockets open) Killed child process Process returned code: -9 ================================================================================ stdout ================================================================================ ================================================================================ stderr ================================================================================ [1;33mDLGLOBAL[0;m [1;33mNOTICE[0;m Available via telnet 127.0.0.1 4254 (telnet_interface.c:88) [1;33mDSMPP[0;m [1;33mNOTICE[0;m SMPP at 0.0.0.0 2775 (smpp_smsc.c:990) [38;5;33m[1;33mDLCTRL[0;m[38;5;33m [1;33mNOTICE[0;m[38;5;33m CTRL at 127.0.0.1 4255 (control_if.c:1026)[0;m [38;5;39m[1;33mDLGSUP[0;m[38;5;39m [1;33mNOTICE[0;m[38;5;39m GSUP connecting to 127.0.0.1:4222 (gsup_client.c:77)[0;m [1;33mDDB[0;m [1;33mNOTICE[0;m Init database connection to 'sms.db' using SQLite3 lib version 3.46.1 (db.c:518) [38;5;51m[1;33mDLMGCP[0;m[38;5;51m [1;33mNOTICE[0;m[38;5;51m MGW(mgw) MGCP client: using endpoint domain '@mgw' (mgcp_client.c:945)[0;m [1;33mDMSC[0;m [1;33mNOTICE[0;m MGW pool with 1 pool members configured, (ignoring MGW configuration in VTY node 'msc'). (msc_main.c:576) [38;5;45m[1;33mDLSCCP[0;m[38;5;45m [1;33mNOTICE[0;m[38;5;45m OsmoMSC-A: Creating SS7 instance (sccp_instance.c:616)[0;m [38;5;45m[1;33mDLSCCP[0;m[38;5;45m [1;33mNOTICE[0;m[38;5;45m OsmoMSC-A: Using SS7 instance 0, pc:0.23.1 (sccp_instance.c:643)[0;m [38;5;45m[1;33mDLSCCP[0;m[38;5;45m [1;33mNOTICE[0;m[38;5;45m OsmoMSC-A: Creating AS instance (sccp_instance.c:650)[0;m [38;5;45m[1;33mDLSCCP[0;m[38;5;45m [1;33mNOTICE[0;m[38;5;45m OsmoMSC-A: Using AS instance as-clnt-OsmoMSC-A (sccp_instance.c:661)[0;m [38;5;45m[1;33mDLSCCP[0;m[38;5;45m [1;33mNOTICE[0;m[38;5;45m OsmoMSC-A: Creating default route (sccp_instance.c:667)[0;m [38;5;45m[1;33mDLSCCP[0;m[38;5;45m [1;33mNOTICE[0;m[38;5;45m OsmoMSC-A: No unassociated ASP for m3ua, creating new ASP asp-clnt-OsmoMSC-A (sccp_instance.c:705)[0;m [38;5;45m[1;33mDLSCCP[0;m[38;5;45m [1;33mNOTICE[0;m[38;5;45m OsmoMSC-A: Using ASP instance asp-clnt-OsmoMSC-A (sccp_instance.c:772)[0;m [38;5;43m[1;33mDLSS7[0;m[38;5;43m [1;33mNOTICE[0;m[38;5;43m 0: Creating SCCP instance (ss7_instance.c:218)[0;m [1;33mDSGS[0;m [1;33mNOTICE[0;m SGs socket bound to r=NULL<->l=0.0.0.0:29118 (sgs_server.c:186) [1;33mDMSC[0;m [1;33mNOTICE[0;m A-interface: SCCP user OsmoMSC-A:RI=SSN_PC,PC=(no PC),SSN=BSSAP, cs7-instance 0 ((null)) (msc_main.c:790) [38;5;23m[1;31mDLINP[0;m[38;5;23m [1;31mERROR[0;m[38;5;23m CLICONN(asp-clnt-OsmoMSC-A,){CONNECTING} connect failed (-111) (stream_cli.c:446)[0;m [1;33mDMSC[0;m [1;33mNOTICE[0;m Terminating due to signal 15 (msc_main.c:285) ERROR ====================================================================== ERROR: testVtyTree (__main__.TestVTYMSC.testVtyTree) ---------------------------------------------------------------------- Traceback (most recent call last): File "/build/osmo-msc-1.15.0.6-97eea/_build/sub/tests/../../../tests/vty_test_runner.py", line 85, in tearDown raise Exception("Process returned %d" % rc) Exception: Process returned -9 ---------------------------------------------------------------------- Ran 6 tests in 13.803s FAILED (errors=1) make[8]: *** [Makefile:729: vty-python-test] Error 1 make[8]: Leaving directory '/build/osmo-msc-1.15.0.6-97eea/_build/sub/tests' make[7]: *** [Makefile:747: vty-test] Error 2 make[7]: Leaving directory '/build/osmo-msc-1.15.0.6-97eea/_build/sub/tests' make[6]: *** [Makefile:717: python-tests] Error 2 make[6]: Leaving directory '/build/osmo-msc-1.15.0.6-97eea/_build/sub/tests' make[5]: *** [Makefile:771: check-local] Error 2 make[5]: Leaving directory '/build/osmo-msc-1.15.0.6-97eea/_build/sub/tests' make[4]: *** [Makefile:576: check-am] Error 2 make[4]: Leaving directory '/build/osmo-msc-1.15.0.6-97eea/_build/sub/tests' make[3]: *** [Makefile:426: check-recursive] Error 1 make[3]: Leaving directory '/build/osmo-msc-1.15.0.6-97eea/_build/sub/tests' make[2]: Leaving directory '/build/osmo-msc-1.15.0.6-97eea/_build/sub' make[2]: *** [Makefile:477: check-recursive] Error 1 make[1]: Leaving directory '/build/osmo-msc-1.15.0.6-97eea/_build/sub' make[1]: *** [Makefile:776: check] Error 2 make: *** [Makefile:696: distcheck] Error 1 + exit_tar_workspace + '[' 1 = 1 ']' + tar -cJf /tmp/workspace.tar.xz /build tar: Removing leading `/' from member names + mv /tmp/workspace.tar.xz /build + cat-testlogs.sh Build step 'Execute shell' marked build as failure $ ssh-agent -k unset SSH_AUTH_SOCK; unset SSH_AGENT_PID; echo Agent pid 1242745 killed; [ssh-agent] Stopped. Archiving artifacts
1
1
0
0
Jenkins build became unstable: ttcn3-hlr-test #3036
by jenkins@lists.osmocom.org
13 May '26
13 May '26
See <
https://jenkins.osmocom.org/jenkins/job/ttcn3-hlr-test/3036/display/redirect
>
1
1
0
0
Build failed in Jenkins: ttcn3-bts-test #3138
by jenkins@lists.osmocom.org
13 May '26
13 May '26
See <
https://jenkins.osmocom.org/jenkins/job/ttcn3-bts-test/3138/display/redirect
> Changes: ------------------------------------------ [...truncated 12.49 MiB...] <failure type='fail-verdict'>"BTS_Tests.ttcn:732 : Tguard timeout" BTS_Tests.ttcn:9551 BTS_Tests control part BTS_Tests.ttcn:7519 TC_rll_rel_req testcase </failure> </testcase> <testcase classname='BTS_Tests:hopping' name='TC_rll_unit_data_req_DCCH' time='1.986732'/> <testcase classname='BTS_Tests:hopping' name='TC_rll_unit_data_req_ACCH' time='4.640690'/> <testcase classname='BTS_Tests:hopping' name='TC_rll_unit_data_ind_DCCH' time='2.888547'/> <testcase classname='BTS_Tests:hopping' name='TC_rll_unit_data_ind_ACCH' time='10.377376'/> <testcase classname='BTS_Tests:hopping' name='TC_chan_act_a51' time='2.503358'/> <testcase classname='BTS_Tests:hopping' name='TC_chan_act_a52' time='2.679333'/> <testcase classname='BTS_Tests:hopping' name='TC_chan_act_a53' time='2.692783'/> <testcase classname='BTS_Tests:hopping' name='TC_chan_act_a54' time='2.685976'/> <testcase classname='BTS_Tests:hopping' name='TC_encr_cmd_a51' time='5.222620'/> <testcase classname='BTS_Tests:hopping' name='TC_encr_cmd_a52' time='5.151111'/> <testcase classname='BTS_Tests:hopping' name='TC_encr_cmd_a53' time='5.152185'/> <testcase classname='BTS_Tests:hopping' name='TC_encr_cmd_a54' time='5.152968'/> <testcase classname='BTS_Tests:hopping' name='TC_err_rep_wrong_mdisc' time='1.194047'/> <testcase classname='BTS_Tests:hopping' name='TC_err_rep_wrong_msg_type' time='1.209795'/> <testcase classname='BTS_Tests:hopping' name='TC_err_rep_wrong_sequence' time='1.221176'/> <testcase classname='BTS_Tests:hopping' name='TC_lapdm_selftest' time='0.006614'/> <testcase classname='BTS_Tests:hopping' name='TC_tch_sign_l2_fill_frame' time='17.934418'/> <testcase classname='BTS_Tests:hopping' name='TC_tch_sign_l2_fill_frame_dtxd' time='2.098603'> <failure type='fail-verdict'>Received DTX TCH fill frame with bad frame number: 175 (mod 104: 71) (mod 26: 19) BTS_Tests.ttcn:9573 BTS_Tests control part BTS_Tests.ttcn:8104 TC_tch_sign_l2_fill_frame_dtxd testcase </failure> </testcase> <testcase classname='BTS_Tests:hopping' name='TC_chopped_ipa_ping' time='24.807857'/> <testcase classname='BTS_Tests:hopping' name='TC_chopped_ipa_payload' time='42.607832'/> <testcase classname='BTS_Tests:hopping' name='TC_ms_pwr_ctrl_constant' time='16.177457'/> <testcase classname='BTS_Tests:hopping' name='TC_ms_pwr_ctrl_pf_ewma' time='31.047931'/> <testcase classname='BTS_Tests:hopping' name='TC_speech_no_rtp_tchf' time='7.306161'/> <testcase classname='BTS_Tests:hopping' name='TC_speech_no_rtp_tchh' time='5.339259'/> <testcase classname='BTS_Tests:hopping' name='TC_speech_rtp_tchf' time='7.474081'/> <testcase classname='BTS_Tests:hopping' name='TC_speech_rtp_tchh' time='5.336300'/> <testcase classname='BTS_Tests:hopping' name='TC_speech_osmux_tchf' time='3.355512'/> <testcase classname='BTS_Tests:hopping' name='TC_speech_osmux_tchh' time='3.367720'/> <testcase classname='BTS_Tests:hopping' name='TC_data_rtp_tchf144' time='1.911353'/> <testcase classname='BTS_Tests:hopping' name='TC_data_rtp_tchf96' time='2.027850'/> <testcase classname='BTS_Tests:hopping' name='TC_data_rtp_tchf48' time='2.068523'/> <testcase classname='BTS_Tests:hopping' name='TC_data_rtp_tchh48' time='5.253100'> <failure type='fail-verdict'>Timeout waiting for matching Downlink data frame BTS_Tests.ttcn:9591 BTS_Tests control part BTS_Tests.ttcn:8874 TC_data_rtp_tchh48 testcase </failure> </testcase> <testcase classname='BTS_Tests:hopping' name='TC_data_rtp_tchf24' time='1.654790'/> <testcase classname='BTS_Tests:hopping' name='TC_data_rtp_tchh24' time='5.259061'> <failure type='fail-verdict'>Timeout waiting for matching Downlink data frame BTS_Tests.ttcn:9593 BTS_Tests control part BTS_Tests.ttcn:8943 TC_data_rtp_tchh24 testcase </failure> </testcase> <testcase classname='BTS_Tests:hopping' name='TC_data_facch_tchf144' time='1.905575'/> <testcase classname='BTS_Tests:hopping' name='TC_data_facch_tchf96' time='1.965709'/> <testcase classname='BTS_Tests:hopping' name='TC_data_facch_tchf48' time='1.957567'/> <testcase classname='BTS_Tests:hopping' name='TC_data_facch_tchh48' time='2.061243'/> <testcase classname='BTS_Tests:hopping' name='TC_data_facch_tchf24' time='1.942468'/> <testcase classname='BTS_Tests:hopping' name='TC_data_facch_tchh24' time='2.126859'/> <testcase classname='BTS_Tests:hopping' name='TC_early_immediate_assignment' time='3.501619'/> <testcase classname='BTS_Tests:hopping' name='TC_acch_overpower_rxqual_thresh' time='9.029424'> <failure type='fail-verdict'>Timeout waiting for L1CTL DATA.ind BTS_Tests.ttcn:9604 BTS_Tests control part BTS_Tests.ttcn:9238 TC_acch_overpower_rxqual_thresh testcase </failure> </testcase> <testcase classname='BTS_Tests:hopping' name='TC_acch_overpower_rxqual_thresh_dtx' time='8.962140'> <failure type='fail-verdict'>Timeout waiting for L1CTL DATA.ind BTS_Tests.ttcn:9605 BTS_Tests control part BTS_Tests.ttcn:9279 TC_acch_overpower_rxqual_thresh_dtx testcase </failure> </testcase> <testcase classname='BTS_Tests:hopping' name='TC_acch_overpower_always_on_facch' time='9.009020'> <failure type='fail-verdict'>Timeout waiting for L1CTL DATA.ind BTS_Tests.ttcn:9606 BTS_Tests control part BTS_Tests.ttcn:9311 TC_acch_overpower_always_on_facch testcase </failure> </testcase> <testcase classname='BTS_Tests:hopping' name='TC_acch_overpower_always_on_sacch' time='8.994196'> <failure type='fail-verdict'>Timeout waiting for L1CTL DATA.ind BTS_Tests.ttcn:9607 BTS_Tests control part BTS_Tests.ttcn:9343 TC_acch_overpower_always_on_sacch testcase </failure> </testcase> <testcase classname='BTS_Tests:hopping' name='TC_acch_overpower_limit' time='8.977097'> <failure type='fail-verdict'>Timeout waiting for L1CTL DATA.ind BTS_Tests.ttcn:9608 BTS_Tests control part BTS_Tests.ttcn:9374 TC_acch_overpower_limit testcase </failure> </testcase> <testcase classname='BTS_Tests_SMSCB:hopping' name='TC_cbch_load_idle_no_cbch' time='11.152830'/> <testcase classname='BTS_Tests_SMSCB:hopping' name='TC_sms_cb_cmd_sdcch4_1block' time='14.235677'/> <testcase classname='BTS_Tests_SMSCB:hopping' name='TC_sms_cb_cmd_sdcch4_2block' time='14.188113'/> <testcase classname='BTS_Tests_SMSCB:hopping' name='TC_sms_cb_cmd_sdcch4_3block' time='14.130343'/> <testcase classname='BTS_Tests_SMSCB:hopping' name='TC_sms_cb_cmd_sdcch4_4block' time='14.176384'/> <testcase classname='BTS_Tests_SMSCB:hopping' name='TC_sms_cb_cmd_sdcch4_multi' time='20.206783'/> <testcase classname='BTS_Tests_SMSCB:hopping' name='TC_sms_cb_cmd_sdcch4_schedule' time='14.133791'/> <testcase classname='BTS_Tests_SMSCB:hopping' name='TC_sms_cb_cmd_sdcch4_default_only' time='16.186357'/> <testcase classname='BTS_Tests_SMSCB:hopping' name='TC_sms_cb_cmd_sdcch4_default_and_normal' time='17.190268'/> <testcase classname='BTS_Tests_SMSCB:hopping' name='TC_sms_cb_cmd_sdcch4_default_then_null' time='26.158397'/> <testcase classname='BTS_Tests_SMSCB:hopping' name='TC_cbc_sdcch4_load_idle' time='15.868308'/> <testcase classname='BTS_Tests_SMSCB:hopping' name='TC_cbc_sdcch4_load_overload' time='18.197593'/> <testcase classname='BTS_Tests_SMSCB:hopping' name='TC_sms_cb_cmd_sdcch8_1block' time='14.171135'/> <testcase classname='BTS_Tests_SMSCB:hopping' name='TC_sms_cb_cmd_sdcch8_2block' time='14.243172'/> <testcase classname='BTS_Tests_SMSCB:hopping' name='TC_sms_cb_cmd_sdcch8_3block' time='14.202011'/> <testcase classname='BTS_Tests_SMSCB:hopping' name='TC_sms_cb_cmd_sdcch8_4block' time='14.212305'/> <testcase classname='BTS_Tests_SMSCB:hopping' name='TC_sms_cb_cmd_sdcch8_multi' time='20.219781'/> <testcase classname='BTS_Tests_SMSCB:hopping' name='TC_sms_cb_cmd_sdcch8_schedule' time='14.184710'/> <testcase classname='BTS_Tests_SMSCB:hopping' name='TC_sms_cb_cmd_sdcch8_default_only' time='16.228349'/> <testcase classname='BTS_Tests_SMSCB:hopping' name='TC_sms_cb_cmd_sdcch8_default_and_normal' time='17.187288'/> <testcase classname='BTS_Tests_SMSCB:hopping' name='TC_cbc_sdcch8_load_idle' time='16.154739'/> <testcase classname='BTS_Tests_SMSCB:hopping' name='TC_cbc_sdcch8_load_overload' time='18.129076'/> <testcase classname='BTS_Tests_SMSCB:hopping' name='TC_etws_p1ro' time='12.165849'/> <testcase classname='BTS_Tests_SMSCB:hopping' name='TC_etws_p1ro_end' time='16.131692'/> <testcase classname='BTS_Tests_SMSCB:hopping' name='TC_etws_pcu' time='1.062694'/> <testcase classname='BTS_Tests_LAPDm:hopping' name='TC_sabm_ua_dcch_sapi0' time='2.855983'/> <testcase classname='BTS_Tests_LAPDm:hopping' name='TC_sabm_ua_dcch_sapi0_nopayload' time='21.403402'/> <testcase classname='BTS_Tests_LAPDm:hopping' name='TC_sabm_ua_dcch_sapi3' time='21.198825'/> <testcase classname='BTS_Tests_LAPDm:hopping' name='TC_sabm_ua_dcch_sapi4' time='21.166428'/> <testcase classname='BTS_Tests_LAPDm:hopping' name='TC_sabm_contention' time='21.210974'/> <testcase classname='BTS_Tests_LAPDm:hopping' name='TC_sabm_retransmit' time='3.127035'/> <testcase classname='BTS_Tests_LAPDm:hopping' name='TC_sabm_retransmit_bts' time='81.411138'/> <testcase classname='BTS_Tests_LAPDm:hopping' name='TC_sabm_invalid_resp' time='23.303841'/> <testcase classname='BTS_Tests_LAPDm:hopping' name='TC_sabm_dm' time='13.935457'/> <testcase classname='BTS_Tests_LAPDm:hopping' name='TC_establish_ign_first_sabm' time='7.893858'/> <testcase classname='BTS_Tests_LAPDm:hopping' name='TC_iframe_seq_and_ack' time='29.556198'> <failure type='fail-verdict'>Received RSL ERROR IND { msg_disc := { msg_group := RSL_MDISC_RLL (1), transparent := false }, msg_type := RSL_MT_ERROR_IND (3), ies := { { iei := RSL_IE_CHAN_NR (1), body := { chan_nr := { u := { sdcch8 := { tag := '01'B, sub_chan := 4 } }, tn := 6 } } }, { iei := RSL_IE_LINK_IDENT (2), body := { link_id := { c := FACCH_SDCCH (0), na := false, prio := SAPI0_PRIO_NORMAL (0), sapi := 0 } } }, { iei := RSL_IE_RLM_CAUSE (22), body := { rlm_cause := { len := 1, payload := '01'O } } } } } BTS_Tests_LAPDm.ttcn:1484 BTS_Tests_LAPDm control part BTS_Tests_LAPDm.ttcn:579 TC_iframe_seq_and_ack testcase </failure> </testcase> <testcase classname='BTS_Tests_LAPDm:hopping' name='TC_iframe_timer_recovery' time='24.587465'> <failure type='fail-verdict'>Received RSL ERROR IND { msg_disc := { msg_group := RSL_MDISC_RLL (1), transparent := false }, msg_type := RSL_MT_ERROR_IND (3), ies := { { iei := RSL_IE_CHAN_NR (1), body := { chan_nr := { u := { sdcch8 := { tag := '01'B, sub_chan := 4 } }, tn := 6 } } }, { iei := RSL_IE_LINK_IDENT (2), body := { link_id := { c := FACCH_SDCCH (0), na := false, prio := SAPI0_PRIO_NORMAL (0), sapi := 0 } } }, { iei := RSL_IE_RLM_CAUSE (22), body := { rlm_cause := { len := 1, payload := '01'O } } } } } BTS_Tests_LAPDm.ttcn:1485 BTS_Tests_LAPDm control part BTS_Tests_LAPDm.ttcn:685 TC_iframe_timer_recovery testcase </failure> </testcase> <testcase classname='BTS_Tests_LAPDm:hopping' name='TC_ns_seq_error' time='29.602376'> <failure type='fail-verdict'>"BTS_Tests.ttcn:732 : Tguard timeout" BTS_Tests_LAPDm.ttcn:1486 BTS_Tests_LAPDm control part BTS_Tests_LAPDm.ttcn:768 TC_ns_seq_error testcase </failure> </testcase> <testcase classname='BTS_Tests_LAPDm:hopping' name='TC_nr_seq_error' time='2.871343'/> <testcase classname='BTS_Tests_LAPDm:hopping' name='TC_rec_invalid_frame' time='119.082975'> <failure type='fail-verdict'>"BTS_Tests_LAPDm.ttcn:909 : Missing LAPDm_RR RSP" BTS_Tests_LAPDm.ttcn:1488 BTS_Tests_LAPDm control part BTS_Tests_LAPDm.ttcn:961 TC_rec_invalid_frame testcase </failure> </testcase> <testcase classname='BTS_Tests_LAPDm:hopping' name='TC_segm_concat_dcch' time='13.547734'> <failure type='fail-verdict'>"BTS_Tests_LAPDm.ttcn:1023 : received unexpected LAPDm { sacch := false, sapi := 0, lapdm := { ab := { addr := { spare := '0'B, lpd := 0, sapi := 0, c_r := false, ea := true }, ctrl := { s := { n_r := 1, p_f := false, s := '10'B, spare := '01'B } }, len := 0, m := false, el := 1, payload := ''O, padding := '2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B'O (\"++++++++++++++++++++\") } } }" BTS_Tests_LAPDm.ttcn:1489 BTS_Tests_LAPDm control part BTS_Tests_LAPDm.ttcn:1088 TC_segm_concat_dcch testcase </failure> </testcase> <testcase classname='BTS_Tests_LAPDm:hopping' name='TC_segm_concat_sacch' time='48.580602'> <failure type='fail-verdict'>"BTS_Tests_LAPDm.ttcn:1023 : received unexpected LAPDm { sacch := true, sapi := 0, lapdm := { ab := { addr := { spare := '0'B, lpd := 0, sapi := 0, c_r := false, ea := true }, ctrl := { u := { u := '011'B, p_f := true, u2 := '00'B, spare := '11'B } }, len := 0, m := false, el := 1, payload := ''O, padding := '2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B'O (\"++++++++++++++++++\") } } }" BTS_Tests_LAPDm.ttcn:1490 BTS_Tests_LAPDm control part BTS_Tests_LAPDm.ttcn:1093 TC_segm_concat_sacch testcase </failure> </testcase> <testcase classname='BTS_Tests_LAPDm:hopping' name='TC_t200_n200' time='47.989428'> <failure type='fail-verdict'>"BTS_Tests.ttcn:732 : Tguard timeout" BTS_Tests_LAPDm.ttcn:1491 BTS_Tests_LAPDm control part BTS_Tests_LAPDm.ttcn:1182 TC_t200_n200 testcase </failure> </testcase> <testcase classname='BTS_Tests_LAPDm:hopping' name='TC_rr_response_frame_loss' time='6.613578'> <failure type='fail-verdict'>Timeout waiting for RR or REJ BTS_Tests_LAPDm.ttcn:1492 BTS_Tests_LAPDm control part BTS_Tests_LAPDm.ttcn:1239 TC_rr_response_frame_loss testcase </failure> </testcase> <testcase classname='BTS_Tests_LAPDm:hopping' name='TC_incorrect_cr' time='15.792596'/> <testcase classname='BTS_Tests_LAPDm:hopping' name='TC_sabm_incorrect_c' time='23.296816'> <failure type='fail-verdict'>"BTS_Tests.ttcn:732 : Tguard timeout" BTS_Tests_LAPDm.ttcn:1494 BTS_Tests_LAPDm control part BTS_Tests_LAPDm.ttcn:1341 TC_sabm_incorrect_c testcase </failure> </testcase> <testcase classname='BTS_Tests_LAPDm:hopping' name='TC_normal_reestablishment' time='16.043563'> <failure type='fail-verdict'>"BTS_Tests_LAPDm.ttcn:1023 : received unexpected LAPDm { sacch := false, sapi := 0, lapdm := { ab := { addr := { spare := '0'B, lpd := 0, sapi := 0, c_r := false, ea := true }, ctrl := { u := { u := '011'B, p_f := true, u2 := '00'B, spare := '11'B } }, len := 5, m := false, el := 1, payload := 'DF7BF2F4E0'O, padding := '2B2B2B2B2B2B2B2B2B2B2B2B2B2B2B'O (\"+++++++++++++++\") } } }" BTS_Tests_LAPDm.ttcn:1495 BTS_Tests_LAPDm control part BTS_Tests_LAPDm.ttcn:1403 TC_normal_reestablishment testcase </failure> </testcase> <testcase classname='BTS_Tests_LAPDm:hopping' name='TC_normal_reestablishment_state_unacked' time='22.823050'> <failure type='fail-verdict'>"BTS_Tests.ttcn:732 : Tguard timeout" BTS_Tests_LAPDm.ttcn:1496 BTS_Tests_LAPDm control part BTS_Tests_LAPDm.ttcn:1470 TC_normal_reestablishment_state_unacked testcase </failure> </testcase> <testcase classname='BTS_Tests_VAMOS:hopping' name='TC_vamos_chan_act_vff' time='2.275132'/> <testcase classname='BTS_Tests_VAMOS:hopping' name='TC_vamos_chan_act_vhh' time='2.470655'/> <testcase classname='BTS_Tests_VAMOS:hopping' name='TC_vamos_chan_act_hvhh' time='2.480893'/> <testcase classname='BTS_Tests_VAMOS:hopping' name='TC_vamos_chan_act_dyn_ipa_vff' time='2.479969'/> <testcase classname='BTS_Tests_VAMOS:hopping' name='TC_vamos_chan_act_dyn_osmo_vff' time='2.506706'/> <testcase classname='BTS_Tests_VAMOS:hopping' name='TC_vamos_chan_act_dyn_osmo_vhh' time='2.525772'/> <testcase classname='BTS_Tests_VAMOS:hopping' name='TC_vamos_chan_act_dyn_osmo_hvhh' time='2.495733'/> <testcase classname='BTS_Tests_VAMOS:hopping' name='TC_vamos_chan_mode_modify_vff' time='1.247149'/> <testcase classname='BTS_Tests_VAMOS:hopping' name='TC_vamos_chan_mode_modify_vhh' time='1.287897'/> <testcase classname='BTS_Tests_VAMOS:hopping' name='TC_vamos_chan_mode_modify_hvhh' time='1.257646'/> <testcase classname='BTS_Tests_VAMOS:hopping' name='TC_vamos_chan_mode_modify_dyn_ipa_vff' time='1.226802'/> <testcase classname='BTS_Tests_VAMOS:hopping' name='TC_vamos_chan_mode_modify_dyn_osmo_vff' time='1.256519'/> <testcase classname='BTS_Tests_VAMOS:hopping' name='TC_vamos_chan_mode_modify_dyn_osmo_vhh' time='1.269807'/> <testcase classname='BTS_Tests_VAMOS:hopping' name='TC_vamos_chan_mode_modify_dyn_osmo_hvhh' time='1.256829'/> <testcase classname='BTS_Tests_ASCI:hopping' name='TC_vbs_notification' time='4.653724'/> <testcase classname='BTS_Tests_ASCI:hopping' name='TC_vgcs_uplink_free_and_busy' time='1.711133'/> <testcase classname='BTS_Tests_ASCI:hopping' name='TC_vgcs_talker_fail' time='16.546464'/> <testcase classname='BTS_Tests_ASCI:hopping' name='TC_vgcs_talker_est_rel' time='1.389084'/> <testcase classname='BTS_Tests_ASCI:hopping' name='TC_vgcs_listener_det' time='3.263804'/> </testsuite> <?xml version="1.0"?> <testsuite name='Titan' tests='17' failures='0' errors='0' skipped='0' inconc='0' time='96.00'> <testcase classname='BTS_Tests_OML' name='TC_wrong_mdisc' time='10.855834'/> <testcase classname='BTS_Tests_OML' name='TC_wrong_msgtype' time='0.670162'/> <testcase classname='BTS_Tests_OML' name='TC_short_length' time='0.665384'/> <testcase classname='BTS_Tests_OML' name='TC_long_length' time='0.667845'/> <testcase classname='BTS_Tests_OML' name='TC_wrong_placement' time='0.679967'/> <testcase classname='BTS_Tests_OML' name='TC_wrong_seq' time='0.694035'/> <testcase classname='BTS_Tests_OML' name='TC_wrong_obj_class' time='0.686422'/> <testcase classname='BTS_Tests_OML' name='TC_wrong_bts_nr' time='0.677739'/> <testcase classname='BTS_Tests_OML' name='TC_wrong_trx_nr' time='0.696815'/> <testcase classname='BTS_Tests_OML' name='TC_radio_carrier_opstart_noattr' time='0.658171'/> <testcase classname='BTS_Tests_OML' name='TC_bts_opstart' time='0.652578'/> <testcase classname='BTS_Tests_OML' name='TC_bts_opstart_noattr' time='0.679704'/> <testcase classname='BTS_Tests_OML' name='TC_ts_opstart' time='0.713520'/> <testcase classname='BTS_Tests_OML' name='TC_ts_opstart_noattr' time='0.674332'/> <testcase classname='BTS_Tests_OML' name='TC_initial_state_reports' time='0.674545'/> <testcase classname='BTS_Tests_OML' name='TC_ipa_osmo_pcu_anr_fwd' time='0.665174'/> <testcase classname='BTS_Tests_OML' name='TC_ipa_rsl_connect_nack' time='0.674954'/> </testsuite> + check_respawn_count + set +x [0;31m ================================================================ WARNING: osmo-bts was respawned 4 times (expected: 3)! (OS#6794) ================================================================ [0m+ RC=1 + uptime + grep --color=always -o load.* [01;31m[Kload average: 1.00, 1.13, 2.67[m[K + exit 1 Build step 'Execute shell' marked build as failure Recording test results [Checks API] No suitable checks publisher found.
1
0
0
0
Jenkins build is back to stable : ttcn3-asterisk-ims-ue-test #806
by jenkins@lists.osmocom.org
12 May '26
12 May '26
See <
https://jenkins.osmocom.org/jenkins/job/ttcn3-asterisk-ims-ue-test/806/disp…
>
1
0
0
0
Jenkins build is back to stable : ttcn3-remsim-test #2120
by jenkins@lists.osmocom.org
12 May '26
12 May '26
See <
https://jenkins.osmocom.org/jenkins/job/ttcn3-remsim-test/2120/display/redi…
>
1
0
0
0
← Newer
1
2
3
4
5
6
Older →
Jump to page:
1
2
3
4
5
6
Results per page:
10
25
50
100
200